<?php

/* ------------------------------------------------------------------
 * Filter that adds slashed to layout data before it's imported
  ------------------------------------------------------------------- */
if (!function_exists('volcanno_import_post_meta')) {

    function volcanno_import_post_meta($post_meta) {
        foreach ($post_meta as $index => $meta) {
            if ($meta['key'] == 'cma_layout_data') {
                $post_meta = wp_slash($post_meta);
            }
        }
        return $post_meta;
    }

}
if (!CONTENT_MAKER)
    add_filter('wp_import_post_meta', 'volcanno_import_post_meta');

/* ------------------------------------------------------------------
 * Content Makers settings from Theme Options
  ------------------------------------------------------------------- */
if (!function_exists('volcanno_content_maker_settings')) {

    function volcanno_content_maker_settings($settings) {
        global $volcanno_options;

        $settings['post-types'] = $volcanno_options['cma_post_types'];
        $settings['elements-animation'] = $volcanno_options['cma_elements_animations'] == "1";
        $settings['elements-animation-offset'] = $volcanno_options['cma_elements_animation_offset'];
        $settings['section-parallax'] = $volcanno_options['cma_parallax'] == "1";
        $settings['data-stellar-background-ratio'] = $volcanno_options['cma_parallax_background_ratio'];
        $settings['prebuilt_post_types'] = $volcanno_options['cma_prebuilt_post_types'];
        $settings['show_settings'] = false;
        $settings['dev-mode'] = false;

        return $settings;
    }

}

if (CONTENT_MAKER) {
    add_filter('cma_global_settings', 'volcanno_content_maker_settings');
}

/* ------------------------------------------------------------------
 * Load Content Makers's content blocks
  ------------------------------------------------------------------- */
if (!function_exists('volcanno_add_cma_content_directory')) {

    function volcanno_add_cma_content_directory($dirs) {
        // define url to Content Maker directory with content
        define('CMA_CONTENT_URL', TEMPLATEURL . "/includes/cma-content/");

        $dirs[] = PI_THEME_DIR . 'includes/cma-content/';

        return $dirs;
    }

}
if (CONTENT_MAKER) {
    add_filter('cma_shortcodes_directory', 'volcanno_add_cma_content_directory');
}
