<?php

// register theme custom menu
function volcanno_register_my_custom_menu_page() {
    add_menu_page(THEME_NAME, THEME_NAME, 'manage_options', "volcanno_options", 'volcanno_custom_theme_page', '', 81);
}

add_action('admin_menu', 'volcanno_register_my_custom_menu_page', 9);

// enqueue stylesheets
function volcanno_admin_menu_enqueue_stylesheet($hook) {
    wp_enqueue_style('volcanno_admin_menu', get_template_directory_uri() . '/core/assets/css/admin-menu.css', array(), '1.0', 'screen');
}

add_action('admin_enqueue_scripts', 'volcanno_admin_menu_enqueue_stylesheet');

// template description page
function volcanno_custom_theme_page() {
    global $volcanno_theme_config;
    
    $themes = wp_get_themes();
    $current_theme = wp_get_theme();
    ?>
    <div class="volcanno-theme-page">
        <div class="page-header">    
            <h2><?php echo esc_html($current_theme->get('Name')) ?></h2>
            <small><?php echo esc_html($current_theme->get('Description')) ?></small>
        </div>

        <div class="page-content">
            <div class="theme-image">
                <?php
                foreach ($themes as $theme) {
                    if ((string) $theme->stylesheet != (string) $current_theme->stylesheet) {
                        continue;
                    }
                    echo '<img src="' . esc_url($theme->get_screenshot()) . '" alt="theme screenshot"/>';
                }
                ?>
            </div>
            <div class="theme-info">                
                <h2><?php echo esc_html($current_theme->get('Name')) ?></h2>
                <label><?php esc_html_e('Description:', 'pi_framework') ?></label>
                <p><?php echo esc_html($current_theme->get('Description')) ?></p>
                <label><?php esc_html_e('Tags:', 'pi_framework') ?></label>
                <p><?php echo join(", ", $current_theme->get('Tags')) ?></p>
                <label><?php esc_html_e('Version:', 'pi_framework') ?></label>
                <p><?php echo esc_html($current_theme->get('Version')) ?></p>
            </div>

            <div class="theme-documentation">
                <h2><?php esc_html_e('Documentation', 'pi_framework') ?></h2>
                <p><?php esc_html_e('Theme comes with Documentation where you can find how to Setup and use the theme. Documentation can be found in archive downloaded from ThemeForest.', 'pi_framework') ?></p>            
            </div>
            
            <div class="theme-support">
                <h2><?php esc_html_e('Support', 'pi_framework') ?></h2>
                <p><?php echo wp_kses(__("If you can't find answer to your problem in Documentation please register on our <a href='http://support.pixel-industry.com' target='_BLANK'>support forum</a>.
                    We have dedicated team that will help you with your problem.", 'pi_framework'), $volcanno_theme_config['allowed_html_tags']) ?><br/>
                    <?php echo wp_kses(__("Note that before registering you will need to obtain Purchase code from ThemeForest. Read <a href='http://pixel-industry.com/web/how-to-obtain-purchase-code/' target='_BLANK'>here</a> how to obtain key.", 'pi_framework'), $volcanno_theme_config['allowed_html_tags']) ?>
                    
                </p>
            </div>

            <div class="theme-updates">
                <h2><?php esc_html_e('Updates:', 'pi_framework') ?></h2>
                <p><?php esc_html_e('To receive notification for theme updates please enter API key in:', 'pi_framework') ?> <a href="<?php echo admin_url('admin.php?page=_options'); ?>#updates"><?php esc_html_e('Theme options.', 'pi_framework') ?></a></p>
            </div>
        </div>

    </div>
    <?php
}
