<?php
/* -------------------------------------------------------------------- 
 * Check if user is on device with Retina display
 * -------------------------------------------------------------------- */

function volcanno_is_retina_device_check() {
    global $vlc_is_retina, $volcanno_theme_config;

    // verify that user is on device with retina display
    if (isset($_COOKIE["elv_device_pixel_ratio"]) && $volcanno_theme_config['retina']) {
        $vlc_is_retina = ( $_COOKIE["elv_device_pixel_ratio"] >= 2 );
    }
}

add_action('after_setup_theme', 'volcanno_is_retina_device_check', 9);

/* -----------------------------------------
 * Verify audio file type
  ----------------------------------------- */
if (!function_exists('volcanno_verify_audio_post_format_files')) {

    function volcanno_verify_audio_post_format_files($audio_string) {
        $audio_urls = preg_split('/\r\n|[\r\n]/', $audio_string[0]);
        $allowed_formats = array('m4a', 'webma', 'oga', 'fla', 'wav', 'ogg');
        $valid_urls = array();
        foreach ($audio_urls as $url) {
            $audio_format = substr($url, strrpos($url, '.') + 1);
            if (in_array($audio_format, $allowed_formats)) {
                if ($audio_format == 'ogg')
                    $audio_format = 'oga';
                $valid_urls[$audio_format] = esc_url_raw($url);
            }
        }
        return $valid_urls;
    }

}
add_filter('volcanno_verify_post_audio', 'volcanno_verify_audio_post_format_files');

/* -------------------------------------------------------------------- 
 * Check if all required plugins are loaded for Portfolio and Gallery templates
 * -------------------------------------------------------------------- */

function volcanno_portofolio_gallery_required_plugins_loaded() {
    global $vlc_page_title, $volcanno_theme_config;

    if (!VOLCANNO_CPTS || !RWMB_META_BOX) {

        $vlc_page_title = 'Plugin activation required!';

        // include page title if portfolio/gallery single is loaded
        if (is_singular('pi_portfolio') || is_singular('pi_gallery')) {
            get_template_part('section', 'title');
        }
        ?>
        <section class="page-content">
            <!-- container start -->
            <div class="container">
                <!-- .row start -->
                <div class="row">
                    <div class="col-md-12">
                        <?php
                        echo wp_kses(__('Please activate <strong>Custom post types</strong> and <strong>MetaBox</strong> plugins.', 'pi_framework'), $volcanno_theme_config['allowed_html_tags']);
                        ?>
                    </div>
                </div><!-- .row end -->
            </div><!-- .container end -->
        </section>

        <?php
        // footer
        get_footer();

        exit;
    }
}

// hooks on gallery template files
add_action('volcanno_pre_gallery_render', 'volcanno_portofolio_gallery_required_plugins_loaded');
add_action('volcanno_pre_gallery_single_render', 'volcanno_portofolio_gallery_required_plugins_loaded');
add_action('volcanno_pre_gallery_tax_render', 'volcanno_portofolio_gallery_required_plugins_loaded');

// hooks on portfolio template files
add_action('volcanno_pre_portfolio_render', 'volcanno_portofolio_gallery_required_plugins_loaded');
add_action('volcanno_pre_portfolio_single_render', 'volcanno_portofolio_gallery_required_plugins_loaded');
add_action('volcanno_pre_portfolio_tax_render', 'volcanno_portofolio_gallery_required_plugins_loaded');

