<?php

// Include Custom field Select Text
function volcanno_redux_select_text_field($field) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_text/field_select_text.php';
}

add_filter("redux/volcanno_options/field/class/select_text", "volcanno_redux_select_text_field");


// Include custom field Select Label
function volcanno_redux_select_label_field($field) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_label/field_select_label.php';
}

add_filter("redux/volcanno_options/field/class/select_label", "volcanno_redux_select_label_field");

// Include modified field Select Image
function volcanno_redux_select_image_field($field) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_image/field_select_image.php';
}

add_filter("redux/volcanno_options/field/class/select_image", "volcanno_redux_select_image_field");

// Include Redux Framework files
if (!class_exists('ReduxFramework') && file_exists(get_template_directory() . '/core/theme-options/redux-framework/ReduxCore/framework.php')) {
    require_once get_template_directory() . '/core/theme-options/redux-framework/ReduxCore/framework.php';
}

if (!isset($redux_demo) && file_exists(get_template_directory() . '/includes/theme-options.php')) {
    require_once get_template_directory() . '/includes/theme-options.php';
}

// Remove Demo mode in Redux Framework
function volcanno_redux_remove_demo_mode() { // Be sure to rename this function to something more unique
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_meta_demo_mode_link'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'volcanno_redux_remove_demo_mode' );