<?php
/**
 * Content for portfolio page
 */
global $wp_query, $volcanno_options, $vlc_is_retina, $volcanno_theme_config;
$style_class = '';

$gallery_ul_class = '';

// get portfolio style from pages options
$style = RWMB_META_BOX ? rwmb_meta('pg_gallery_style', '', get_the_ID()) : false;

if (is_tax()) {
    $style = $volcanno_options['gallery_category_style'];
}

$style = !empty($style) ? $style : '2-col';

if (!is_tax()) {
// if user set 0, all posts will be fetched
    $posts_per_page = rwmb_meta('pg_portfolio_gallery_pagination', '', get_the_ID());
    if ($posts_per_page == 0) {
        $posts_per_page = '-1';
    }
}

// image size
$image_width = 570;
$image_height = 380;

$masonry_image_height = 633;

// gallery
if ($style == '2-col') {
    $gallery_ul_class = 'portfolio-gallery-two-cols';
    $columns_class = 'col-md-6';
} else if ($style == '3-col') {
    $gallery_ul_class = 'portfolio-gallery-three-cols';
    $columns_class = 'col-md-4';
} else if ($style == 'full') {
    $columns_class = 'col-md-3';
} else if ($style == 'masonry') {
    $columns_class = 'col-md-4';
    $gallery_ul_class = 'portfolio-gallery-three-cols';
}

// hover style
$hover_style = rwmb_meta('pg_gallery_hover_style', '', get_the_ID());
if ($hover_style == 'simple_flyin') {
    $hover_class = '';
} else {
    $hover_class = 'zoom-hover';
}


// if user is on retina device, double the size of image
if ($vlc_is_retina) {
    $image_width = 2 * $img_width;
    $image_height = 2 * $img_height;
}

// check if page needs to be paged
$paged = 1;
if (get_query_var('paged'))
    $paged = get_query_var('paged');
if (get_query_var('page'))
    $paged = get_query_var('page');

$id_counter = 1;

$lightbox_options = rwmb_meta('pg_portfolio_gallery_lightbox_options', '', get_the_ID());
$lightbox_current = rwmb_meta('pg_portfolio_gallery_project_images', '', get_the_ID());

// items order
$order = strip_tags(rwmb_meta('pg_portfolio_gallery_order', '', get_the_ID()));
$order_by = strip_tags(rwmb_meta('pg_portfolio_gallery_order_by', '', get_the_ID()));
?>
<!-- .page-content start -->
<section class="page-content">

    <!-- .container start -->
    <div class="container">
        <?php if (RWMB_META_BOX) : ?>
            <!-- .row start -->
            <div class="row portfolio-filters triggerAnimation animated" data-animate="fadeInDown">
                <section class="col-md-12">
                    <ul id="filters">                        
                        <?php
                        $category_html = '';
                        $categories_count = 0;
                        if (is_tax()) {
                            $category_id = "";
                            $query_category = $wp_query->get_queried_object();
                            $category_id = $query_category->term_id;
                            $args = array('taxonomy' => 'gallery-category', 'order' => 'ASC', 'child_of' => $category_id);
                        } else {
                            $args = array('taxonomy' => 'gallery-category', 'order' => 'ASC');
                        }

                        $categories = get_categories($args);

                        if (!empty($categories)) {
                            $index = 1;
                            foreach ($categories as $cat) {
                                $category_html .= '<li><a data-filter=".' . $cat->slug . '" href="#">' . $cat->name . '</a></li>';
                                $categories_count += $cat->count;
                                $index++;
                            }
                            ?> 
                            <li class="active"><a href="#" data-filter="*"><?php esc_html_e('All', 'pi_framework') ?></a></li>
                            <?php
                            echo balanceTags($category_html);
                        }
                        ?>
                    </ul>
                </section><!-- .col-md-12 end -->                    
            </div><!-- .row.portfolio-filters end  end -->
            <?php if ($style == 'full' || $style == 'masonry_full') { ?>
            </div>
        </section>
        <section class="page-content">
            <div class="container-fluid">
                <!-- .row.portfolio-items-holder start -->
            <?php } ?>
            <!-- .row.portfolio-items-holder start -->
            <div class="row portfolio-items-holder triggerAnimation animated" data-animate="fadeInUp">
                <!-- #portfolioitems.isotope start -->
                <ul id="portfolioitems" class="isotope <?php echo sanitize_html_class($gallery_ul_class) ?>" data-lightbox-current="<?php echo esc_attr($lightbox_current) ?>">
                    <?php
                    //query args
                    if (is_tax()) {
                        global $wp_query;
                        $query_category = $wp_query->get_queried_object();
                        $category_id = $query_category->term_id;
                        $args = array('post_type' => 'pi_gallery',
                            'posts_per_page' => $posts_per_page,
                            'paged' => $paged,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'gallery-category',
                                    'field' => 'id',
                                    'terms' => $category_id
                                )
                            ),
                            'order' => $order,
                            'orderby' => $order_by
                        );
                    } else {
                        $args = array('post_type' => 'pi_gallery', 'posts_per_page' => $posts_per_page, 'paged' => $paged, 'order' => $order, 'orderby' => $order_by);
                    }

                    // The Query
                    $wp_query = new WP_Query($args);

                    // The Loop
                    while ($wp_query->have_posts()) : $wp_query->the_post();
                        /* Show gallery columns based on style selected in custom options */
                        $terms_slugs = "";
                        $video_url = "";
                        $post_count = $wp_query->post_count;

                        // Get gallery categories
                        $terms = get_the_terms(get_the_ID(), 'gallery-category');
                        $terms_count = count($terms);
                        $i = 0;
                        foreach ($terms as $term) {
                            $current_term = ++$i;
                            $terms_slugs .= $term->slug . ($current_term != $terms_count ? ' ' : "");
                        }
                        $terms_title = get_the_term_list(get_the_ID(), 'gallery-category', '<li>', ', ', '</li>');

                        $post_title = get_the_title();
                        $post_permalink = get_permalink();

                        if (!empty($post->post_excerpt)) {
                            $post_content = $post->post_excerpt;
                        } else {
                            $post_content = get_the_content();

                            $post_content = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $post->post_content);
                            $post_content = strip_tags($post_content);
                            $post_content = volcanno_substr($post_content, 200, 3);
                        }


                        // get all uploaded image IDs for this portfolio item
                        $images = rwmb_meta('pf_image', 'type=image&size=full', get_the_ID());
                        $image_url = reset($images);
                        $first_item_id = $image_url['ID'];
                        $image_url = $image_url['url'];

                        // get custom fields
                        // key-value pairs
                        $post_meta = get_post_custom(get_the_ID());
                        $custom_fields = isset($post_meta['pf_custom_keyval']) ? $post_meta['pf_custom_keyval'] : false;
                        if (!is_array($custom_fields[0]) && !empty($custom_fields)) {
                            $custom_fields = unserialize($custom_fields[0]);
                        }

                        if (($style == 'masonry' || $style == 'masonry_full') && isset($post_meta['pf_masonry_image']) && $post_meta['pf_masonry_image'][0] == '1') {
                            $params = array('width' => $image_width, 'height' => $masonry_image_height);
                        } else {
                            $params = array('width' => $image_width, 'height' => $image_height);
                        }

                        $cropped_image = bfi_thumb($image_url, $params);

                        // post date
                        $date_format = get_option('date_format');
                        $post_date = get_the_time($date_format);

                        if (empty($cropped_image)) {
                            continue;
                        }

                        // get portfolio format
                        $portfolio_format = get_post_format(get_the_ID());
                        if ($portfolio_format == 'video') {
                            $portfolio_video_url = rwmb_meta('pf_video_url', '', get_the_ID());
                        }

                        $button_text = !empty($volcanno_options['portfolio_button_text']) ? $volcanno_options['portfolio_button_text'] : 'view project';
                        ?>
                        <li class="isotope-item <?php echo sanitize_html_class($columns_class), " ", sanitize_html_class($terms_slugs); ?>">

                            <figure class="gallery-item <?php echo ($hover_style == 'simple_flyin') ? 'hover-caption' : '' ?>">

                                <div class="gallery-img <?php echo sanitize_html_class($hover_class) ?>">
                                    <?php
                                    if ($lightbox_current == '1')
                                        echo "<div class='gallery'>";

                                    if (($lightbox_options == 'animated' && $lightbox_current == '1') || $lightbox_options == 'image_link') {
                                        ?>
                                        <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                            <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo">
                                            <?php else: ?>
                                                <a href="<?php echo esc_url($image_url); ?>" class="<?php if ($lightbox_options == 'image_link') echo "triggerZoom" ?>">
                                                <?php endif; ?>

                                            <?php } else { ?>
                                                <a href="<?php echo esc_url($post_permalink); ?>">
                                                <?php } ?>
                                                <img src="<?php echo esc_url($cropped_image); ?>" alt=""/>
                                            </a>

                                            <?php
                                            if ($lightbox_current == '1') {
                                                foreach ($images as $id => $val) {
                                                    $image = wp_get_attachment_image_src($val['ID'], 'full');

                                                    // prevent first item duplicate
                                                    if ($val['ID'] == $first_item_id) {
                                                        continue;
                                                    }
                                                    ?>
                                                    <a class="hidden-portfolio-image" href="<?php echo esc_url($image[0]) ?>">
                                                        <img src="<?php echo esc_url($image[0]) ?>" 
                                                             alt="<?php echo esc_attr($post_title) ?>"                                                     
                                                             />
                                                    </a>
                                                    <?php
                                                }
                                                echo "</div>";
                                            }
                                            ?>

                                            <?php if ($lightbox_options == 'animated') { ?>
                                                <?php if ($hover_style == 'zoom_link'): ?>
                                                    <div class="mask-style-2">
                                                        <div class="mask"></div>

                                                        <ul>
                                                            <li class="portfolio-zoom">
                                                                <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                                                    <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo fa fa-play"></a>
                                                                <?php else:
                                                                    ?>
                                                                    <a href="<?php echo esc_url($image_url) ?>" class="triggerZoom fa fa-expand <?php if ($lightbox_current == '0') echo "gallery-item" ?>"></a>
                                                                <?php endif; ?>                                                            
                                                            </li>

                                                            <li class="portfolio-single">
                                                                <a href="<?php echo esc_url($post_permalink); ?>" class="fa fa-mail-forward"></a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                <?php else: ?>
                                                    <div class="mask-style-1">
                                                        <div class="mask"></div>

                                                        <div class="zoom">
                                                            <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                                                <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo"></a>
                                                            <?php else:
                                                                ?>
                                                                <a href="<?php echo esc_url($image_url) ?>" class="triggerZoom <?php if ($lightbox_current == '0') echo "gallery-item" ?>"></a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>
                                            <?php } ?>


                                            </div><!-- .portfolio-img end -->

                                            <?php if ($hover_style == 'simple_flyin'): ?>
                                                <figcaption>
                                                    <a class="title" href="<?php echo esc_url($post_permalink); ?>"><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></a>
                                                    <ul class="portfolio-tags"><?php echo wp_kses_post($terms_title) ?></ul>
                                                </figcaption>
                                            <?php endif; ?>
                                            </figure>
                                            </li><!-- .col-md-6.isotope-item.design end -->
                                            <?php
                                            $id_counter++;
                                        endwhile;
                                        ?>
                                        </ul>
                                        </div>
                                        <?php volcanno_pagination('portfolio'); ?>
                                    <?php else: ?>
                                        <div class="container_12">
                                            <div class="col-md-12">
                                                <?php esc_html_e('Please activate MetaBox and Custom Post Types plugins to show Gallery items!', 'pi_framework'); ?>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    </div><!-- .container end -->
                                    </section><!-- .page-content end -->