<?php
/**
 * Content for portfolio page
 */
global $wp_query, $volcanno_options, $vlc_is_retina, $volcanno_theme_config;
$style_class = '';
$cma_active = '';

// get portfolio style from pages options
$style = RWMB_META_BOX ? rwmb_meta('pg_portfolio_style', '', get_the_ID()) : false;

if (is_tax()) {
    $style = $volcanno_options['portfolio_category_style'];
}

$style = !empty($style) ? $style : '2-col';

if (!is_tax()) {
    // if user set 0, all posts will be fetched
    $posts_per_page = rwmb_meta('pg_portfolio_gallery_pagination', '', get_the_ID());
    if ($posts_per_page == 0) {
        $posts_per_page = '-1';
    }
}

// image size
$image_width = 570;
$image_height = 380;

$masonry_image_height = 633;

// portfolio
if ($style == '1-col') {
    $style_class = 'portfolio-1-col';
    $columns_class = 'col-md-12';
} else if ($style == '2-col') {
    $columns_class = 'col-md-6';
} else if ($style == '3-col') {
    $columns_class = 'col-md-4';
} else if ($style == 'full') {
    $columns_class = 'col-md-3';
} else if ($style == 'masonry') {
    $columns_class = 'col-md-4';
} else if ($style == 'masonry_full') {
    $columns_class = 'col-md-3';
}

// hover style
$hover_style = rwmb_meta('pg_portfolio_hover_style', '', get_the_ID());
if ($hover_style == 'zoom_link') {
    $hover_class = 'hover-alt';
} else {
    $hover_class = 'zoom-hover';
}

// if user is on retina device, double the size of image
if ($vlc_is_retina) {
    $image_width = 2 * $img_width;
    $image_height = 2 * $img_height;
}

// check if page needs to be paged
$paged = 1;
if (get_query_var('paged'))
    $paged = get_query_var('paged');
if (get_query_var('page'))
    $paged = get_query_var('page');

$id_counter = 1;

$lightbox_options = rwmb_meta('pg_portfolio_gallery_lightbox_options', '', get_the_ID());
$lightbox_current = rwmb_meta('pg_portfolio_gallery_project_images', '', get_the_ID());

// items order
$order = strip_tags(rwmb_meta('pg_portfolio_gallery_order', '', get_the_ID()));
$order_by = strip_tags(rwmb_meta('pg_portfolio_gallery_order_by', '', get_the_ID()));
?>

<?php
// user content on Portfolio page
if (have_posts()) : while (have_posts()) : the_post();

        // check if Content Maker is active on this page
        if (CONTENT_MAKER) {
            $cma_active = cma_page_has_active_cma();
        }

        if (!is_tax()) {
            if (CONTENT_MAKER && $cma_active == '1') {
                the_content();
            } else {
                ?>
                <section class="page-content">
                    <!-- container start -->
                    <div class="container">
                        <!-- .row start -->
                        <div class="row">
                            <div class="col-md-12">
                                <?php
                                the_content();
                                ?>
                            </div>
                        </div><!-- .row end -->
                    </div><!-- .container end -->
                </section>
                <?php
            }
        }

    endwhile;
endif;
?>

<!-- .page-content start -->
<section class="page-content">

    <!-- .container start -->
    <div class="container">        

        <?php if (RWMB_META_BOX) : ?>
            <!-- .row start -->
            <div class="row portfolio-filters triggerAnimation animated" data-animate="fadeInDown">
                <section class="col-md-12">
                    <ul id="filters">                        
                        <?php
                        $category_html = '';
                        $categories_count = 0;
                        if (is_tax()) {
                            $category_id = "";
                            $query_category = $wp_query->get_queried_object();
                            $category_id = $query_category->term_id;
                            $args = array('taxonomy' => 'portfolio-category', 'order' => 'ASC', 'child_of' => $category_id);
                        } else {
                            $args = array('taxonomy' => 'portfolio-category', 'order' => 'ASC');
                        }

                        $categories = get_categories($args);

                        if (!empty($categories)) {
                            $index = 1;
                            foreach ($categories as $cat) {
                                $category_html .= '<li><a data-filter=".' . $cat->slug . '" href="#">' . $cat->name . '<span class="item-number">' . $cat->count . '</span>' . '</a></li>';
                                $categories_count += $cat->count;
                                $index++;
                            }
                            ?> 
                            <li class="active"><a href="#" data-filter="*"><?php esc_html_e('All', 'pi_framework') ?><span class="item-number"><?php echo intval($categories_count) ?></span></a></li>
                            <?php
                            echo balanceTags($category_html);
                        }
                        ?>
                    </ul>
                </section><!-- .col-md-12 end -->                    
            </div><!-- .row.portfolio-filters end  end -->
            <?php if ($style == 'full' || $style == 'masonry_full') { ?>
            </div>
        </section>
        <section class="page-content">
            <div class="container-fluid">
                <!-- .row.portfolio-items-holder start -->
            <?php } ?>
            <!-- .row.portfolio-items-holder start -->
            <div class="row portfolio-items-holder triggerAnimation animated" data-animate="fadeInUp">
                <!-- #portfolioitems.isotope start -->
                <ul id="portfolioitems" class="isotope" data-lightbox-current="<?php echo intval($lightbox_current) ?>">
                    <?php
                    //query args
                    if (is_tax()) {
                        global $wp_query;
                        $query_category = $wp_query->get_queried_object();
                        $category_id = $query_category->term_id;
                        $args = array('post_type' => 'pi_portfolio',
                            'posts_per_page' => $posts_per_page,
                            'paged' => $paged,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'portfolio-category',
                                    'field' => 'id',
                                    'terms' => $category_id
                                )
                            ),
                            'order' => $order,
                            'orderby' => $order_by
                        );
                    } else {
                        $args = array('post_type' => 'pi_portfolio', 'posts_per_page' => $posts_per_page, 'paged' => $paged, 'order' => $order, 'orderby' => $order_by);
                    }

                    // The Query
                    $wp_query = new WP_Query($args);

                    // The Loop
                    while ($wp_query->have_posts()) : $wp_query->the_post();
                        /* Show portfolio columns based on style selected in custom options */
                        $terms_slugs = "";
                        $portfolio_video_url = "";
                        $post_count = $wp_query->post_count;

                        // Get Portfolio categories
                        $terms = get_the_terms(get_the_ID(), 'portfolio-category');
                        $terms_count = count($terms);
                        $i = 0;
                        foreach ($terms as $term) {
                            $current_term = ++$i;
                            $terms_slugs .= $term->slug . ($current_term != $terms_count ? ' ' : "");
                        }
                        $terms_title = get_the_term_list(get_the_ID(), 'portfolio-category', '<li>', '<span>,</span> ', '</li>');

                        $post_title = get_the_title();
                        $post_permalink = get_permalink();

                        if (!empty($post->post_excerpt)) {
                            $post_content = $post->post_excerpt;
                        } else {
                            $post_content = get_the_content();

                            $post_content = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $post->post_content);
                            $post_content = strip_tags($post_content);
                            $post_content = volcanno_substr($post_content, 200, 3);
                        }


                        // get all uploaded image IDs for this portfolio item
                        $images = rwmb_meta('pf_image', 'type=image&size=full', get_the_ID());
                        $image_url = reset($images);
                        $first_item_id = $image_url['ID'];
                        $image_url = $image_url['url'];

                        // get custom fields
                        // key-value pairs
                        $post_meta = get_post_custom(get_the_ID());
                        $custom_fields = isset($post_meta['pf_custom_keyval']) ? $post_meta['pf_custom_keyval'] : false;
                        if (!is_array($custom_fields[0]) && !empty($custom_fields)) {
                            $custom_fields = unserialize($custom_fields[0]);
                        }

                        if (($style == 'masonry' || $style == 'masonry_full') && isset($post_meta['pf_masonry_image']) && $post_meta['pf_masonry_image'][0] == '1') {
                            $params = array('width' => $image_width, 'height' => $masonry_image_height);
                        } else {
                            $params = array('width' => $image_width, 'height' => $image_height);
                        }

                        $cropped_image = bfi_thumb($image_url, $params);

                        // post date
                        $date_format = get_option('date_format');
                        $post_date = get_the_time($date_format);

                        if (empty($cropped_image)) {
                            continue;
                        }

                        // get portfolio format
                        $portfolio_format = get_post_format(get_the_ID());
                        if ($portfolio_format == 'video') {
                            $portfolio_video_url = rwmb_meta('pf_video_url', '', get_the_ID());
                        }

                        $button_text = !empty($volcanno_options['portfolio_button_text']) ? $volcanno_options['portfolio_button_text'] : 'view project';
                        ?>
                        <li class="isotope-item <?php echo sanitize_html_class($columns_class), " ", esc_html($terms_slugs); ?>">

                            <figure class="portfolio-item-container <?php echo sanitize_html_class($style_class) ?>">

                                <div class="portfolio-img <?php echo sanitize_html_class($hover_class) ?>">
                                    <?php
                                    if ($lightbox_current == '1')
                                        echo '<div class="gallery">';

                                    if (($lightbox_options == 'animated' && $lightbox_current == '1') || $lightbox_options == 'image_link') {
                                        ?>
                                        <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                            <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo">
                                            <?php else: ?>
                                                <a href="<?php echo esc_url($image_url); ?>" class="<?php if ($lightbox_options == 'image_link') echo "triggerZoom" ?>">
                                                <?php endif; ?>

                                            <?php } else { ?>
                                                <a href="<?php echo esc_url($post_permalink); ?>">
                                                <?php } ?>
                                                <img src="<?php echo esc_url($cropped_image); ?>" alt=""/>
                                            </a>

                                            <?php
                                            if ($lightbox_current == '1') {
                                                foreach ($images as $id => $val) {
                                                    $image = wp_get_attachment_image_src($val['ID'], 'full');

                                                    // prevent first item duplicate
                                                    if ($val['ID'] == $first_item_id) {
                                                        continue;
                                                    }
                                                    ?>
                                                    <a class="hidden-portfolio-image" href="<?php echo esc_url($image[0]) ?>">
                                                        <img src="<?php echo esc_url($image[0]) ?>" 
                                                             alt="<?php echo asc_attr($post_title) ?>"                                                     
                                                             />
                                                    </a>
                                                    <?php
                                                }
                                                echo "</div>";
                                            }
                                            ?>

                                            <?php if ($lightbox_options == 'animated') { ?>
                                                <?php if ($hover_style == 'zoom_link'): ?>
                                                    <div class="mask-style-2">
                                                        <div class="mask"></div>

                                                        <ul>
                                                            <li class="portfolio-zoom">
                                                                <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                                                    <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo fa fa-play"></a>
                                                                <?php else:
                                                                    ?>
                                                                    <a href="<?php echo esc_url($image_url) ?>" class="triggerZoom fa fa-expand <?php if ($lightbox_current == '0') echo "gallery-item" ?>"></a>
                                                                <?php endif; ?>                                                            
                                                            </li>

                                                            <li class="portfolio-single">
                                                                <a href="<?php echo esc_url($post_permalink); ?>" class="fa fa-mail-forward"></a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                <?php else: ?>
                                                    <div class="mask-style-1">
                                                        <div class="mask"></div>

                                                        <div class="zoom">
                                                            <?php if ($portfolio_format && $portfolio_format == 'video'): ?>
                                                                <a href="<?php echo esc_url($portfolio_video_url) ?>" class="triggerZoomVideo"></a>
                                                            <?php else:
                                                                ?>
                                                                <a href="<?php echo esc_url($image_url) ?>" class="triggerZoom <?php if ($lightbox_current == '0') echo "gallery-item" ?>"></a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>
                                            <?php } ?>
                                            </div><!-- .portfolio-img end -->

                                            <figcaption>
                                                <?php if ($style == '1-col') { ?>
                                                    <ul class="clearfix portfolio-tags">
                                                        <li><i class="fa fa-tags"></i></li>
                                                        <?php echo wp_kses_post($terms_title); ?> 
                                                    </ul>

                                                    <div class="simple-heading left">
                                                        <a href="<?php echo esc_url($post_permalink) ?>"><h3><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></h3></a>
                                                    </div>

                                                    <?php if (!empty($custom_fields[0][0])): ?>
                                                        <ul class="clearfix portfolio-details-list">                                        
                                                            <?php
                                                            foreach ($custom_fields as $custom_val) {
                                                                ?>
                                                                <li>
                                                                    <span class="mark"><?php echo esc_html($custom_val[0]) ?>: </span> <?php echo esc_html($custom_val[1]) ?>
                                                                </li>
                                                                <?php
                                                            }
                                                            ?>                                       
                                                        </ul>
                                                    <?php endif; ?>

                                                    <div class="portfolio-excerpt"><p><?php echo wp_kses_post($post_content) ?></p></div>

                                                    <a class="btn btn-big" href="<?php echo esc_url($post_permalink); ?>">
                                                        <span><?php echo esc_html($button_text) ?></span>
                                                    </a>
                                                <?php } else { ?> 
                                                    <a class="title" href="<?php echo esc_url($post_permalink); ?>"><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></a>
                                                    <ul class="portfolio-tags"><?php echo wp_kses_post($terms_title); ?></ul>
                                                <?php } ?>
                                            </figcaption>   

                                            </figure>
                                            </li><!-- .col-md-6.isotope-item.design end -->
                                            <?php
                                            $id_counter++;
                                        endwhile;
                                        ?>
                                        </ul>
                                        </div>
                                        <?php volcanno_pagination('portfolio'); ?>
                                    <?php else: ?>
                                        <div class="container_12">
                                            <div class="col-md-12">
                                                <?php esc_html_e('Please activate MetaBox and Custom Post Types plugins to show Portfolio items!', 'pi_framework'); ?>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    </div><!-- .container end -->
                                    </section><!-- .page-content end -->