<?php
/*
 * The template for displaying the footer.
 */
global $volcanno_options, $volcanno_theme_config;

$show_footer = apply_filters('volcanno_footer_show', $volcanno_options['footer_show']);
$footer_animation = $volcanno_options['widgets_animation'];
?>
<!-- footer wrapper start -->
<section id="footer-wrapper" class="<?php if ($show_footer == '0') echo 'footer-hidden' ?>">
    <?php
    if ($show_footer == '1'):
        ?>
        <footer id="footer">
            <!-- .container start -->
            <div class="container">
                <!-- .row start -->
                <div class="row">
                    <!-- animated fadeInTop -->
                    <section <?php if (!empty($footer_animation) && $footer_animation != "disabled") : ?>class="triggerAnimation animated" data-animate="<?php echo esc_html($footer_animation) ?>" <?php endif; ?>>

                        <?php
                        $widget_areas = apply_filters('volcanno_footer_widget_areas', $volcanno_options['footer_widget_areas']);

                        for ($i = 1; $i <= $widget_areas; $i++) {
                            $grid_size = 12 / $widget_areas;
                            ?>
                            <ul class="footer-widget-container col-md-<?php echo esc_html($grid_size) ?>">
                                <?php
                                $sidebarid = 'volcanno-sidebar-' . ($i + 1);
                                if (!dynamic_sidebar($sidebarid)) :
                                    ?>
                                    <li class="widget">
                                        <h5><?php esc_html_e('Widget', 'pi_framework') ?></h5>
                                        <p><?php esc_html_e('This is widget area. Set widget here.', 'pi_framework') ?></p>
                                    </li>                                    

                                    <?php
                                endif;
                                ?>

                            </ul>
                        <?php }; ?>
                    </section>
                </div><!-- .row end -->
            </div><!-- .container end -->                
        </footer><!-- .footer-end -->
    <?php endif; ?>
    <!-- copyright container start -->
    <section id="copyright-container">
        <!-- .container start -->
        <div class="container">
            <!-- .row start -->
            <div class="row">
                <section class="col-md-6">                    
                    <p><?php echo wp_kses( $volcanno_options['copyright_text'], $volcanno_theme_config['allowed_html_tags'] ) ?></p>
                </section>

                <section class="col-md-6">
                    <?php
                    wp_nav_menu(
                            array(
                                'theme_location' => 'footer',
                                'container' => false,
                                'items_wrap' => '<ul id="%1$s" class="%2$s breadcrumb footer-breadcrumb">%3$s</ul>',
                                'depth' => 1,
                                'fallback_cb' => false,
                                'before' => '',
                                'after' => ''
                            )
                    );
                    ?>
                </section><!-- .col-md-6 omega end -->        
            </div><!-- .row end -->
        </div><!-- .container end -->
    </section><!-- .copyright-container end -->
</section><!-- .footer-wrapper end -->
<?php if ($volcanno_options['scroll_to_top'] == '1'): ?>
    <a href="#" class="scroll-up"><?php esc_html_e('Scroll', 'pi_framework') ?></a>
<?php endif; ?>

<?php if (apply_filters('volcanno_website_layout', "layout-" . $volcanno_options['website_layout']) == 'layout-boxed'): ?>
    <!-- .page-wrapper start -->
    <div id="page-wrapper" class="clearfix">
    <?php endif; ?>

    <div class="clear"></div>
    <?php wp_footer(); ?>
</body>
</html>
