<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Countdown")) {

    class CMA_Shortcodes_Countdown extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Countdown', 'pi_framework');
            $settings['description'] = esc_html__('Countdown timer with nice animations.', 'pi_framework');
            $settings['shortcode'] = 'cma_countdown';
            $settings['nested'] = false;
            $settings['selected_option'] = 'date'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* scripts */
            wp_enqueue_script('cma-scripts-countdown-script', CMA_CONTENT_URL . '/countdown/js/county.js', array('jquery'), '1.0', TRUE);
            wp_enqueue_script('cma-scripts-countdown-init', CMA_CONTENT_URL . '/countdown/js/countdown.js', array('jquery', 'cma-scripts-countdown-script'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {
            $classes = '';

            extract(shortcode_atts(array(
                'type' => 'black_grey',
                'date' => '2016/12/27 10:00:00',
                'animation' => 'scroll'
                            ), $atts, 'cma_countdown'));

            if ($type == 'theme_color') {
                $classes = 'theme-color';
            } else if ($type == 'transparent') {
                $classes = 'boxes';
            } else if ($type == 'multi_color') {
                $classes = 'colorful';
            }

            $html = "<div class='counter {$classes}' data-animation='{$animation}' data-date='{$date}'></div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'pi_framework'),
                    'description' => esc_html__('Select skills type.', 'pi_framework'),
                    'options' => array(
                        'black_grey' => esc_html__('Black-grey', 'pi_framework'),
                        'theme_color' => esc_html__('Theme color style', 'pi_framework'),
                        'transparent' => esc_html__('Transparent', 'pi_framework'),
                        'multi_color' => esc_html__('Multi-color', 'pi_framework'),
                    ),
                    'default' => 'black_grey'
                ),
                'date' => array(
                    'type' => 'text',
                    'title' => esc_html__('Date', 'pi_framework'),
                    'description' => esc_html__('Enter date in format: YYYY/mm/dd hh:mm:ss e.g 2016/12/27 10:00:00.', 'pi_framework'),
                    'placeholder' => '2016/12/27 10:00:00'
                ),
                'animation' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Animation', 'pi_framework'),
                    'description' => esc_html__('Select animation type.', 'pi_framework'),
                    'options' => array(
                        'scroll' => esc_html__('Scroll', 'pi_framework'),
                        'fade' => esc_html__('Fade', 'pi_framework')
                    ),
                    'default' => 'scroll'
                ),
            );
        }

    }

}
?>
