<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Dropcaps")) {

    class CMA_Shortcodes_Dropcaps extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Dropcaps', 'pi_framework');
            $settings['description'] = esc_html__('Stylize first letter of paragraph.', 'pi_framework');
            $settings['shortcode'] = 'cma_dropcaps';
            $settings['nested'] = false;
            $settings['selected_option'] = 'text'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $dropcap_color = '';

            extract(shortcode_atts(array(
                'type' => 'circled',
                'style' => 'full_color',
                'color' => '',
                'text' => 'Dropcap text goes here.'
                            ), $atts, 'cma_dropcaps'));

            $text = strip_tags($text);
            $firstLetter = substr($text, 0, 1);
            $slicedString = substr($text, 1);
            
            if(empty($color) && $type == 'square' && $style == 'full_color'){
                $style .= ' theme-bkg';
            }else if(!empty($color) && ($style == 'full_color' || $style == 'empty')) {
                if($style == 'empty'){
                    $dropcap_color = "style='border-color: {$color};'";
                    
                }else{
                    $dropcap_color = "style='background: {$color};'";
                }                
            }
            
            if($style == 'minimal_empty'){
                $style = 'minimal empty';
            }

            $html = "<p><span class='dropcap {$type} {$style}' {$dropcap_color}>{$firstLetter}</span>{$slicedString}</p>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'pi_framework'),
                    'description' => esc_html__('Select dropcap type.', 'pi_framework'),
                    'options' => array(
                        'circled' => esc_html__('Circle', 'pi_framework'),
                        'square' => esc_html__('Square', 'pi_framework')
                    ),
                    'default' => 'circled'
                ),
                'style' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Style', 'pi_framework'),
                    'description' => esc_html__('Select dropcap style.', 'pi_framework'),
                    'options' => array(
                        'full_color' => esc_html__('Full color', 'pi_framework'),
                        'empty' => esc_html__('Outline', 'pi_framework'),
                        'minimal' => esc_html__('Minimal', 'pi_framework'),
                        'minimal_empty' => esc_html__('Minimal Outlined', 'pi_framework')
                    ),
                    'default' => 'full_color'
                ),
                'color' => array(
                    'type' => 'color_picker',
                    'title' => esc_html__('Color', 'pi_framework'),
                    'description' => esc_html__('Select dropcap color. Default color is theme\'s color style', 'pi_framework'),
                    'default' => '',
                    'condition' => array('style', '==', 'full_color|empty')
                ),
                'text' => array(
                    'type' => 'textarea',
                    'title' => esc_html__('Text', 'pi_framework'),
                    'description' => esc_html__('Dropcap text.', 'pi_framework')
                )
            );
        }

    }

}
?>
