<?php
// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Portfolio")) {

    class CMA_Shortcodes_Portfolio extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Portfolio', 'pi_framework');
            $settings['description'] = esc_html__('Section where you can list your recent work.', 'pi_framework');
            $settings['shortcode'] = 'cma_potfolio';
            $settings['nested'] = false;
            $settings['selected_option'] = 'type'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* script */
            wp_enqueue_script('cma-scripts-portfolio', CMA_CONTENT_URL . 'portfolio/js/portfolio.js', array('jquery', 'magnific-popup', 'owl-carousel'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {
            global $vlc_is_retina, $volcanno_theme_config;

            $include_posts = "";
            $exclude_posts = "";
            $id_counter = 1;
            $randomID = rand(1, 99);
            $size = 3;
            $html_content = '';
            $image_html = '';
            $zoom_html = '';
            $html = '';

            extract(shortcode_atts(array(
                'type' => '',
                'include' => '',
                'exclude' => '',
                'lightbox' => 'default',
                'number' => '8'
                            ), $atts, 'cma_potfolio'));

            if ($include != "") {
                $include_posts = explode(',', $include);
            } else if ($exclude != "") {
                $exclude_posts = explode(',', $exclude);
            }

            $args = array('post_type' => 'pi_portfolio', 'post__in' => $include_posts, 'post__not_in' => $exclude_posts, 'orderby' => 'post__in', 'posts_per_page' => $number);

            // The Query
            $the_query = new WP_Query($args);

            while ($the_query->have_posts()) : $the_query->the_post();

                $terms_string = '';
                $post_permalink = get_permalink();
                $post_title = get_the_title();

                //get images
                $images = get_post_custom_values('pf_image', get_the_ID());
                $image = wp_get_attachment_image_src($images[0], 'full');
                $first_item_id = $images[0];

                // image sizes
                $params = array('width' => 570, 'height' => 380);

                // retina - double image size
                if ($vlc_is_retina) {
                    $width = $params['width'] * 2;
                    $height = $params['height'] * 2;
                    $params = array('width' => $width, 'height' => $height);
                }
                $cropped_image = bfi_thumb($image[0], $params);

                // Get Portfolio categories
                $terms = get_the_terms(get_the_ID(), 'portfolio-category');
                $divider = ',';
                if (!empty($terms)) {
                    foreach ($terms as $index => $term) {
                        if (isset($term->name)) {
                            if (count($terms) == ($index + 1)) {
                                $divider = '';
                            }
                            $terms_string .= "<li>" . $term->name . "{$divider}</li>";
                        }
                    }
                }

                ob_start();

                // check how lightbox will be used
                if ($lightbox == 'image') {
                    $image_url = esc_url_raw($image[0]);
                    $image_html = "<a href='{$image_url}' class='triggerZoom' data-animate='zoomIn'>"
                            . "<img src='{$cropped_image}' alt=''/>"
                            . "</a>";
                } else if ($lightbox == 'none') {
                    $post_permalink = esc_url_raw($post_permalink);
                    $image_html = "<a href='{$post_permalink}'>"
                            . "<img src='{$cropped_image}' alt=''/>"
                            . "</a>";
                } else {
                    $cropped_image = esc_url_raw($cropped_image);
                    $image_url = esc_url_raw($image[0]);

                    $image_html = "<img src='{$cropped_image}' alt=''/>";

                    $zoom_html = " <div class='mask-style-1'>
                                    <div class='mask'></div>

                                    <div class='zoom'>
                                        <a href='{$image_url}' class='triggerZoom'></a>
                                    </div>
                                </div>";
                }

                if ($type == 'type-1') {
                    ?>
                    <li class='col-md-2 isotope-item'>
                        <figure class='gallery-item'>
                            <div class='gallery-img zoom-hover'>
                                <?php echo balanceTags($image_html) ?>

                                <?php echo balanceTags($zoom_html) ?>
                            </div>
                        </figure>
                    </li>

                    <?php
                } else if ($type == 'type-2') {
                    ?>
                    <div class='owl-item'>
                        <figure class='portfolio-item-container'>
                            <div class='portfolio-img zoom-hover'>
                                <?php echo balanceTags($image_html) ?>

                                <?php echo balanceTags($zoom_html) ?>
                            </div>

                            <figcaption>
                                <a class='title' href='<?php echo esc_url_raw($post_permalink) ?>'><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></a>
                                <ul class='portfolio-tags'><?php echo wp_kses_post($terms_string) ?></ul>
                            </figcaption>
                        </figure>
                    </div>
                    <?php
                } else if ($type == 'type-3') {
                    ?>
                    <li class='col-md-3 isotope-item photography'>
                        <figure class='gallery-item hover-caption'>
                            <div class='gallery-img'>
                                <?php echo balanceTags($image_html) ?>

                                <?php echo balanceTags($zoom_html) ?>
                            </div>

                            <figcaption>
                                <a class='title' href='<?php echo esc_url_raw($post_permalink) ?>'><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></a>
                                <ul class='portfolio-tags'><?php echo wp_kses_post($terms_string) ?></ul>
                            </figcaption>
                        </figure>
                    </li>
                    <?php
                } else if ($type == 'type-4') {
                    ?>
                    <li class='col-md-3 isotope-item'>
                        <figure class='gallery-item'>
                            <div class='gallery-img zoom-hover'>
                                <?php echo balanceTags($image_html) ?>

                                <?php echo balanceTags($zoom_html) ?>
                            </div>
                        </figure>
                    </li>
                    <?php
                } else if ($type == 'type-5') {
                    ?>
                    <li class='col-md-4 isotope-item'>
                        <figure class='portfolio-item-container'>
                            <div class='portfolio-img zoom-hover'>
                                <?php echo balanceTags($image_html) ?>

                                <?php echo balanceTags($zoom_html) ?>
                            </div>

                            <figcaption>
                                <a class='title' href='<?php echo esc_url_raw($post_permalink) ?>'><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></a>
                                <ul class='portfolio-tags'><?php echo wp_kses_post($terms_string) ?></ul>
                            </figcaption>
                        </figure>
                    </li>
                    <?php
                }
                $html_content .= ob_get_clean();
                $id_counter++;

            endwhile;

            if ($type == 'type-1') {
                $html = "<ul class='portfolio-projects-list clearfix'>{$html_content}</ul>";
            } else if ($type == 'type-2') {
                $html = "<div class='carousel-container'><div class='portfolio-carousel owl-carousel owl-buttons'>{$html_content}</div></div>";
            } else if ($type == 'type-3') {
                $html = "<ul class='portfolio-projects-list clearfix isotope'>{$html_content}</ul>";
            } else if ($type == 'type-4' || $type == 'type-5') {
                $html = "<ul class='portfolio-projects-list'>{$html_content}</ul>";
            }
            wp_reset_postdata();

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'pi_framework'),
                    'description' => esc_html__('Select one of portfolio types.', 'pi_framework'),
                    'default' => 'type-1',
                    'options' => array(
                        'type-1' => 'Simple - six images',
                        'type-2' => 'Carousel - three images',
                        'type-3' => 'Four images',
                        'type-4' => 'Four images - hover animation',
                        'type-5' => 'Grid - 3 images',
                    )
                ),
                'number' => array(
                    'type' => 'number',
                    'title' => esc_html__('Number', 'pi_framework'),
                    'description' => esc_html__('Number of portfolio items to get.', 'pi_framework'),
                    'default' => '3',
                    'options' => array(
                        'min' => 1
                    )
                ),
                'lightbox' => array(
                    'type' => 'select',
                    'title' => esc_html__('Lightbox', 'pi_framework'),
                    'description' => esc_html__('Select lightbox behaviour.', 'pi_framework'),
                    'default' => 'default',
                    'options' => array(
                        'default' => 'Animated hover',
                        'image' => 'Image',
                        'none' => 'None'
                    )
                ),
                'include' => array(
                    'type' => 'text',
                    'title' => esc_html__('Include', 'pi_framework'),
                    'description' => esc_html__('Enter posts that will be included (only those).', 'pi_framework'),
                    'placeholder' => 'e.g. 1,2,3'
                ),
                'exclude' => array(
                    'type' => 'text',
                    'title' => esc_html__('Exclude', 'pi_framework'),
                    'description' => esc_html__('Enter posts that will be excluded.', 'pi_framework'),
                    'placeholder' => 'e.g. 1,2,3'
                ),
            );
        }

    }

}
?>
