<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Progress_Bar_Circular")) {

    class CMA_Shortcodes_Progress_Bar_Circular extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Circular Progress Bars', 'pi_framework');
            $settings['description'] = esc_html__('Circular Progress bar can be used for showcasing skills.', 'pi_framework');
            $settings['shortcode'] = 'cma_progress_bar_circular';
            $settings['nested'] = false;
            $settings['selected_option'] = 'title'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* script */
            wp_enqueue_script('cma-scripts-progress-bar-circular-script', CMA_CONTENT_URL . 'progress_bar_circular/js/easypiechart.js', array('jquery'), '1.0', TRUE);
            /* init */
            wp_enqueue_script('cma-scripts-progress-bar-circular-init', CMA_CONTENT_URL . 'progress_bar_circular/js/progress_bar_circular.js', array('jquery', 'cma-scripts-progress-bar-circular-script'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {

            $html_titles = '';
            $html_content = '';
            $html = '';
            $i = 1;

            extract(shortcode_atts(array(
                'title' => 'Web design',
                'icon' => '',
                'percentage' => '50',
                'track_color' => '#f6f6f6',
                'bar_color' => '#117dc2'
                            ), $atts, 'cma_progress_bar_circular'));

            $title = esc_html($title);
            $percentage = intval($percentage);

            $html = "<div class='easy-pie-chart' data-size='220' data-lineWidth='10' data-percent='{$percentage}' data-barColor='{$bar_color}' data-trackColor='{$track_color}'>
                            <div class='percent-container'>
                                <span class='percent'>{$percentage}%</span>
                            </div>

                            <span class='info'>{$title}</span>
                        </div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'title' => array(
                    'type' => 'text',
                    'title' => esc_html__('Title', 'pi_framework'),
                    'description' => esc_html__('Skill title.', 'pi_framework')
                ),
                'icon' => array(
                    'type' => 'icon_picker',
                    'title' => esc_html__('Icon', 'pi_framework'),
                    'description' => esc_html__('Add button icon.', 'pi_framework')
                ),
                'percentage' => array(
                    'type' => 'number',
                    'title' => esc_html__('Percentage', 'pi_framework'),
                    'description' => esc_html__('Set skill percentage (1-100%).', 'pi_framework'),
                    'options' => array(
                        'min' => 0,
                        'max' => 100,
                        'step' => 10
                    ),
                    'default' => '50'
                ),
                'track_color' => array(
                    'type' => 'color_picker',
                    'title' => esc_html__('Track Color', 'pi_framework'),
                    'description' => esc_html__('Set color for filled part of chart.', 'pi_framework')
                ),
                'bar_color' => array(
                    'type' => 'color_picker',
                    'title' => esc_html__('Bar Color', 'pi_framework'),
                    'description' => esc_html__('Set color for background color. Leave empty for default blue color.', 'pi_framework')
                ),
            );
        }

    }

}
?>
