<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Quick_Info")) {

    class CMA_Shortcodes_Quick_Info extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Quick Info', 'pi_framework');
            $settings['description'] = esc_html__('Info element with icons and text.', 'pi_framework');
            $settings['shortcode'] = 'cma_quick_info';
            $settings['nested'] = false;
            $settings['selected_option'] = 'title'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $volcanno_theme_config;
            
            $item_icon = '';
            $html = '';

            extract(shortcode_atts(array(
                'title' => '',
                'subtitle' => '',
                'icon' => 'icon-leaf',
                'icon_linecons' => ''
                            ), $atts, 'cma_quick_info'));
            //icon
            if (!empty($icon_linecons)) {
                $icon = $icon_linecons;
            } else {
                $icon = 'fa ' . $icon;
            }
            
            $title = wp_kses($title, $volcanno_theme_config['allowed_html_tags']);
            $subtitle = wp_kses($subtitle, $volcanno_theme_config['allowed_html_tags']);
            
            $html = "<div class='info-box'>
                            <div class='icon-container'>
                                <i class='{$icon}'></i>
                            </div>

                            <div class='text-container'>
                                <p>{$subtitle}</p>
                                <span class='big'>{$title}</span>
                            </div>
                        </div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'title' => array(
                    'type' => 'text',
                    'title' => esc_html__('Title', 'pi_framework'),
                    'description' => esc_html__('Big text', 'pi_framework')
                ),
                'subtitle' => array(
                    'type' => 'text',
                    'title' => esc_html__('Subtitle', 'pi_framework'),
                    'description' => esc_html__('Small text.', 'pi_framework'),
                ),
                'icon' => array(
                    'type' => 'icon_picker',
                    'title' => esc_html__('Icon', 'pi_framework'),
                    'description' => esc_html__('Add service icon.', 'pi_framework'),
                ),
                'icon_linecons' => array(
                    'type' => 'icon_picker',
                    'title' => esc_html__('Icon - Linecons', 'pi_framework'),
                    'description' => esc_html__('Add service icon from Linecons Icon font.', 'pi_framework'),
                    'options' => volcanno_linecons_classes()
                ),
            );
        }

    }

}
?>
