<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Services")) {

    class CMA_Shortcodes_Services extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Services', 'pi_framework');
            $settings['description'] = esc_html__('Four styles of services.', 'pi_framework');
            $settings['shortcode'] = 'cma_services';
            $settings['nested'] = false;
            $settings['selected_option'] = 'text'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $vlc_is_retina, $volcanno_theme_config;
            
            $animation_class = '';
            $data_animate = '';
            $services_class_id = '';

            extract(shortcode_atts(array(
                'type' => '',
                'text' => 'Service',
                'inside' => '',
                'subtitle' => '',
                'description' => '',
                'icon' => 'icon-leaf',
                'icon_linecons' => '',
                'animation' => '0',
                'link' => '',
                'custom_link' => '',
                'image' => '',
                'readmore' => esc_html__('Read more...', 'pi_framework'),
                'link_area' => '0'
                            ), $atts, 'cma_services_2'));

            if ($animation == '1') {
                $animation_class = 'animated triggerAnimation';
                $data_animate = 'data-animate="zoomIn"';
            }

            // get service link
            if (!empty($custom_link)) {
                $link = esc_url($custom_link);
            } else if (!empty($link) && $link != '-1') {
                $link = get_permalink($link);
            } else {
                $link = false;
            }

            // services type class
            if ($type == 'service-image-box') {
                $services_class_id = 'service-box-1';
            } else if ($type == 'process-box-circle') {
                $services_class_id = 'service-box-1';
            } else if ($type == 'service1') {
                $services_class_id = 'service-box-1';
            } else if ($type == 'service2') {
                $services_class_id = 'service-box-2';
            } else if ($type == 'service3') {
                $services_class_id = 'service-box-3';
            } else if ($type == 'service4') {
                $services_class_id = 'service-box-4';
            } else if ($type == 'service5') {
                $services_class_id = 'service-box-5';
            } else if ($type == 'service6') {
                $services_class_id = 'service-box-6';
            } else if ($type == 'service7') {
                $services_class_id = 'service-box-7';
            } else if ($type == 'service8') {
                $services_class_id = 'service-box-8';
            } else if ($type == 'service9') {
                $services_class_id = 'service-box-9';
            } else if ($type == 'service10') {
                $services_class_id = 'service-box-10';
            } else if ($type == 'service11') {
                $services_class_id = 'service-box-11';
            } else if ($type == 'service12') {
                $services_class_id = 'service-box-12';
            } else if ($type == 'service13') {
                $services_class_id = 'service-box-13';
            }

            //icon
            if (!empty($icon_linecons)) {
                $icon = $icon_linecons;
            } else {
                $icon = 'fa ' . $icon;
            }

            // subtitle and links
            $subtitle = !empty($subtitle) ? "<p class='subtitle'>" . wp_kses($subtitle, $volcanno_theme_config['allowed_html_tags']) . "</p>" : '';
            $link_html = ($link_area == '0' && !empty($link)) ? "<a class='read-more' href='{$link}'>{$readmore}</a>" : "";
            $link_html_hover = ($link_area == '0' && !empty($link)) ? "<a class='read-more service-hidden' href='{$link}'>{$readmore}</a>" : "";

            $text = wp_kses( $text, $volcanno_theme_config['allowed_html_tags'] );

            $description = wp_kses( $description, $volcanno_theme_config['allowed_html_tags'] );

            // two services styles
            if ($type == 'service-image-box') {

                // get image or add placeholder
                if (empty($image)) {
                    $image_url = TEMPLATEURL . "img/placeholder.jpg";
                } else {
                    $image = explode(',', $image);

                    //get first image
                    $image_url = wp_get_attachment_image_src($image[0], 'full');

                    if ($type == 'service-image-box') {
                        // crop the image
                        $params = array('width' => 360, 'height' => 240);
                    } else {
                        // crop the image
                        $params = array('width' => 90, 'height' => 90);
                    }

                    // check if is retina
                    if ($vlc_is_retina) {
                        $width = $params['width'];
                        $height = $params['height'];

                        $params = array('width' => $width * 2, 'height' => $height * 2);
                    }

                    // crop the image
                    $image_url = bfi_thumb($image_url[0], $params);
                }

                // alt tag
                $alt = esc_attr($text);

                // service html
                $html = "<div class='service-image-box'>
                            <img src='{$image_url}' alt='{$alt}'/>
                            <div class='simple-heading left'>
                            	<h3>{$text}</h3>
                            </div>
                            <p>{$description}</p>
                    </div>";
            } else if ($type == 'process-box-circle') {

                // service html
                $html = "<div class='process-box-circle'>
				<div style='height: 223px; width: 223px;' class='icon-container {$animation_class}' {$data_animate}>
                                <i style='opacity: 1; height: 223px; width: 223px;' class='{$icon}'></i>
                            </div>
                    
                      <h4>{$text}</h4>
                        {$subtitle}
                        <p>{$description}</p>

                        {$link_html}
                    
                </div>";
            } else if ($type == 'service1') {

                // service html
                $html = "<div class='service-box-1'>
                            <div class='title-container clearfix'>
                                <div class='icon {$animation_class}' {$data_animate}>
                                   <i class='{$icon}'></i>
                                </div>
                                 <h3>{$text}</h3>
                            </div>

                            <div class='service-info'>
                                <p>{$description}</p>
                            </div>
                            {$link_html}
                        </div>";
            } else if ($type == 'service10') {

                // service html
                $html = "<div class='service-box-10'>
                            <div class='icon-container'>
                                 <i class='{$icon} {$animation_class}' {$data_animate}></i>
                            </div>

                            <div class='service-detail-container'>
                              <h4>{$text}</h4>
                                <p>{$description}</p>
                            </div>
                            {$link_html}
                        </div>";
            } else if ($type == 'service11') {

                // service html
                $html = "<div class='service-box-11'>
                            <p class='service-number'>{$inside}</p>

                            <a href='' class='service-name'><h4>{$text}</h4></a>

                            <div class='icon-container'>
                                <i class='{$icon} {$animation_class}' {$data_animate}></i>
                            </div>

                            {$link_html_hover}
                        </div>";
            } else if ($type == 'service13') {

                // service html
                $html = "<div class='service-box-13'>							
                            <i class='{$icon} {$animation_class}' {$data_animate}></i>								
                            <h4>{$text}</h4>
                            {$link_html_hover}
                        </div>";
            } else {

                // service html
                $html = "<div class='{$services_class_id}'>
                            <div class='icon-container'>							
                            <i class='{$icon} {$animation_class}' {$data_animate}></i>							
                        </div>
                            <div class='text-container'>
                              <h4>{$text}</h4>
                                {$subtitle}
                                <p>{$description}</p>
                                {$link_html}
                            </div>
                        </div>";
            }

            // wrap in anchor if user want full area to be link
            if ($link_area == '1' && !empty($link)) {
                $html = "<a href='{$link}'>" . $html . '</a>';
            }

            return $html;
        }

        function pi_animate_css_animations() {
            
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'select',
                    'title' => esc_html__('Type', 'pi_framework'),
                    'description' => esc_html__('Select services type.', 'pi_framework'),
                    'options' => array(
                        'service1' => esc_html__('Service 1', 'pi_framework'),
                        'service2' => esc_html__('Service 2', 'pi_framework'),
                        'service3' => esc_html__('Service 3', 'pi_framework'),
                        'service4' => esc_html__('Service 4', 'pi_framework'),
                        'service5' => esc_html__('Service 5', 'pi_framework'),
                        'service6' => esc_html__('Service 6', 'pi_framework'),
                        'service7' => esc_html__('Service 7', 'pi_framework'),
                        'service8' => esc_html__('Service 8', 'pi_framework'),
                        'service9' => esc_html__('Service 9', 'pi_framework'),
                        'service10' => esc_html__('Service 10', 'pi_framework'),
                        'service11' => esc_html__('Service 11', 'pi_framework'),
                        'service12' => esc_html__('Service 12', 'pi_framework'),
                        'service13' => esc_html__('Service 13', 'pi_framework'),
                        'process-box-circle' => esc_html__('Service Circle', 'pi_framework'),
                        'service-image-box' => esc_html__('Service Boxed', 'pi_framework'),
                    ),
                    'default' => 'service1'
                ),
                'text' => array(
                    'type' => 'text',
                    'title' => esc_html__('Title', 'pi_framework'),
                    'description' => esc_html__('Service title.', 'pi_framework')
                ),
                'subtitle' => array(
                    'type' => 'text',
                    'title' => esc_html__('Subtitle', 'pi_framework'),
                    'description' => esc_html__('Enter subtitle text or leave empty to hide.', 'pi_framework'),
                    'condition' => array('type', '!=', 'service1|service3')
                ),
                'description' => array(
                    'type' => 'textarea',
                    'title' => esc_html__('Description', 'pi_framework'),
                    'description' => esc_html__('Service description.', 'pi_framework'),
                    'condition' => array('type', '!=', 'service11')
                ),
                'inside' => array(
                    'type' => 'text',
                    'title' => esc_html__('Inside', 'pi_framework'),
                    'description' => esc_html__('Text or number inside service.', 'pi_framework'),
                    'condition' => array('type', '==', 'service11')
                ),
                'icon' => array(
                    'type' => 'icon_picker',
                    'title' => esc_html__('Icon', 'pi_framework'),
                    'description' => esc_html__('Add service icon.', 'pi_framework'),
                    'condition' => array('type', '!=', 'service-image-box')
                ),
                'icon_linecons' => array(
                    'type' => 'icon_picker',
                    'title' => esc_html__('Icon - Linecons', 'pi_framework'),
                    'description' => esc_html__('Add service icon from Linecons Icon font.', 'pi_framework'),
                    'condition' => array('type', '!=', 'service-image-box'),
                    'options' => volcanno_linecons_classes()
                ),
                'animation' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Animation', 'pi_framework'),
                    'description' => esc_html__('Enable list items animation.', 'pi_framework')
                ),
                'image' => array(
                    'type' => 'image',
                    'title' => esc_html__('Image', 'pi_framework'),
                    'description' => esc_html__('Upload image.', 'pi_framework'),
                    'condition' => array('type', '==', 'service-image-box')
                ),
                'link' => array(
                    'type' => 'select',
                    'title' => esc_html__('Link', 'pi_framework'),
                    'description' => esc_html__('Link to page from this service.', 'pi_framework'),
                    'data' => 'pages',
                    'default' => ''
                ),
                'custom_link' => array(
                    'type' => 'text',
                    'title' => esc_html__('Custom URL', 'pi_framework'),
                    'description' => esc_html__('Enter custom URL for this service.', 'pi_framework')
                ),
                'readmore' => array(
                    'type' => 'text',
                    'title' => esc_html__('Read More', 'pi_framework'),
                    'description' => esc_html__('Read More button text.', 'pi_framework'),
                    'default' => 'Read more',
                    'condition' => array('type', '!=', 'service1')
                ),
                'link_area' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Link Area', 'pi_framework'),
                    'description' => esc_html__('Enable if you want to use whole service area as link.', 'pi_framework'),
                    'default' => '0',
                    'condition' => array()
                ),
            );
        }

    }

}
?>
