<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Slideshow")) {

    class CMA_Shortcodes_Slideshow extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Slideshow', 'pi_framework');
            $settings['description'] = esc_html__('Simple image slideshow.', 'pi_framework');
            $settings['shortcode'] = 'cma_slideshow';
            $settings['nested'] = false;

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* script */
            wp_enqueue_script('cma-scripts-slideshow', CMA_CONTENT_URL . 'slideshow/js/slideshow.js', array('jquery', 'nivoslider'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {

            $html_images = '';
            $nav_html = '';

            extract(shortcode_atts(array(
                'images' => '',
                'navigation' => '1',
                'manual_advance' => '1',
                'pause_hover' => '1',
                'pause' => '3000'
                            ), $atts, 'cma_slideshow'));

            // team member image
            $images = explode(',', $images);

            foreach ($images as $index => $image) {
                //get first image
                $image_url = wp_get_attachment_image_src($image, 'full');

                if (empty($image_url))
                    continue;

                $html_images .= "<img src='{$image_url[0]}' alt='slider image'/>";
            }

            $html = "<div class='nivo-wrapper'><div class='nivoSlider' data-manual='{$manual_advance}' data-pause='{$pause}' data-navigation='{$navigation}' data-pause-hover='{$pause_hover}'>{$html_images}</div></div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'images' => array(
                    'type' => 'image',
                    'title' => esc_html__('Images', 'pi_framework'),
                    'description' => esc_html__('Upload slider images.', 'pi_framework')
                ),
                'navigation' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Show navigation', 'pi_framework'),
                    'description' => esc_html__('Check this to show navigation.', 'pi_framework'),
                    'default' => '1'
                ),
                'manual_advance' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Force manual transitions', 'pi_framework'),
                    'description' => esc_html__('Disable automatic sliding.', 'pi_framework'),
                    'default' => '1'
                ),
                'pause_hover' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Hover pause', 'pi_framework'),
                    'description' => esc_html__('Pause sliding on hover.', 'pi_framework'),
                    'default' => '1'
                ),
                'pause' => array(
                    'type' => 'number',
                    'title' => esc_html__('Slide Pause', 'pi_framework'),
                    'description' => esc_html__('Enter sliding timeout.', 'pi_framework'),
                    'default' => '3000',
                    'options' => array(
                        'step' => 10
                    )
                )
            );
        }

    }

}
?>
