<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Social_Icons")) {

    class CMA_Shortcodes_Social_Icons extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Social Icons', 'pi_framework');
            $settings['description'] = esc_html__('List with social icons.', 'pi_framework');
            $settings['shortcode'] = 'cma_social_icons';
            $settings['nested'] = false;
            $settings['selected_option'] = 'networks|type'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $colored_class = '';
            $native_class = '';

            extract(shortcode_atts(array(
                'colored' => 'icon',
                'native_color' => '0',
                'networks' => ''
                            ), $atts, 'cma_social_icons'));

            if ($native_color == '1') {
                if ($colored == 'bkg') {
                    $native_class = 'pixons-background';
                } else {
                    $native_class = 'pixons-color';
                }
            } else {
                if ($colored == 'bkg') {
                    $colored_class = 'theme-bkg';
                }
            }

            $html = "<ul class='social-links presentation {$colored_class}'>";

            foreach ($networks as $index => $network) {
                $link = esc_url($network['link']);

                $html .= "<li><a href='{$link}' class='{$network['icon']} {$native_class}'></a></li>";
            }

            $html .= "</ul>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'colored' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Color on', 'pi_framework'),
                    'description' => esc_html__('Choose what to color, icon or background.', 'pi_framework'),
                    'options' => array(
                        'icon' => esc_html__('Icon', 'pi_framework'),
                        'bkg' => esc_html__('Background', 'pi_framework'),
                    )
                ),
                'native_color' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Native Color', 'pi_framework'),
                    'description' => esc_html__('Use Social Network brand color instead themes\'.', 'pi_framework'),
                    'default' => '0'
                ),
                'networks' => array(
                    'type' => 'group',
                    'title' => esc_html__('Items', 'pi_framework'),
                    'max' => '',
                    'options' => array(
                        'icon' => array(
                            'type' => 'icon_picker',
                            'title' => esc_html__('Icon', 'pi_framework'),
                            'description' => esc_html__('Select social network.', 'pi_framework'),
                            'options' => volcanno_get_pixons_names()
                        ),
                        'link' => array(
                            'type' => 'text',
                            'title' => esc_html__('Link', 'pi_framework'),
                            'description' => esc_html__('URL to social network profile.', 'pi_framework'),
                            'default' => 'http://'
                        )
                    )
                )
            );
        }

    }

}
?>
