<?php

/**
 * Version 0.0.2
 */
require_once PI_THEME_DIR . '/core/importer/volcanno-importer.php'; //load admin theme data importer

class Volcanno_Theme_Demo_Data_Importer extends Volcanno_Theme_Importer {

    /**
     * Holds a copy of the object for easy reference.
     *
     * @since 0.0.1
     *
     * @var object
     */
    private static $instance;

    /**
     * Set the key to be used to store theme options
     *
     * @since 0.0.2
     *
     * @var object
     */
    public $theme_option_name = 'volcanno_options'; //set theme options name here 
    
    public $demo_files = array(
        'pages_menus' => 'pages_menus.xml',
        'posts' => 'posts.xml',
        'portfolio_gallery' => array('portfolio.xml', 'gallery.xml'),
        'contact' => 'contact.xml',
        'slider' => array('Slide1.zip', 'slider2.zip', 'slider3.zip', 'slider4.zip', 'slider5.zip'),
        'options' => 'redux.json',
        'widgets' => 'widgets.wie',
        'attachments' => 'attachments.xml'
    );

    /**
     * Holds a copy of the widget settings 
     *
     * @since 0.0.2
     *
     * @var object
     */
    public $widget_import_results;

    /**
     * Constructor. Hooks all interactions to initialize the class.
     *
     * @since 0.0.1
     */
    public function __construct() {

        $this->demo_files_path = PI_THEME_DIR . '/includes/demo-files/';

        self::$instance = $this;
        parent::__construct();
    }

    /**
     * Add menus
     *
     * @since 0.0.1
     */
    public function set_demo_menus() {

        // Menus to Import and assign - you can remove or add as many as you want
        $menu = get_term_by('name', 'Menu', 'nav_menu');

        if (!empty($menu)) {
            set_theme_mod('nav_menu_locations', array(
                'primary' => $menu->term_id,
                'footer' => $menu->term_id
                    )
            );
        }
    }

}

new Volcanno_Theme_Demo_Data_Importer;
