<?php
get_header();

global $vlc_page_title, $vlc_post_timeline_position;

$paged = (get_query_var("paged")) ? get_query_var("paged") : 1;
if (is_year() || is_month() || is_day()) {
    $vlc_page_title = esc_html__("Archive", 'pi_framework');
    if (is_year()) {
        $vlc_page_title .= esc_html__("for ", 'pi_framework') . get_the_date(_x('Y', 'yearly archives date format', 'pi_framework'));
    } else if (is_month()) {
        $vlc_page_title .= esc_html__("for ", 'pi_framework') . get_the_date(_x('F Y', 'monthly archives date format', 'pi_framework'));
    } else if (is_day()) {
        $vlc_page_title .= esc_html__("for ", 'pi_framework') . get_the_date();
    }

    if ($paged > 1)
        $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
}

if (is_tag()) {
    $vlc_page_title = esc_html__("Tag archive for ", 'pi_framework') . single_tag_title('', false);
    if ($paged > 1)
        $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
}
if (is_search()) {
    $vlc_page_title = esc_html__("Search results for ", 'pi_framework') . get_search_query();
    if ($paged > 1)
        $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
}
if (is_category()) {
    $vlc_page_title = esc_html__("Archive for ", 'pi_framework') . single_cat_title('', false);
    if ($paged > 1)
        $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
}
if (is_home()) {
    if (is_front_page()) {
        $vlc_page_title = get_option('blogname');
        if ($paged > 1)
            $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
    }else {
        $page_id = ( 'page' == get_option('show_on_front') ? get_option('page_for_posts') : get_the_ID() );
        $vlc_page_title = get_post_meta($page_id, 'pg_page_description', true);
        $vlc_page_title = empty($vlc_page_title) ? wp_title('|', false, 'right') : $vlc_page_title;
    }
}
if (is_author()) {
    $author_clean = get_query_var('author');
    $vlc_page_title = esc_html__("Author Archive for ", 'pi_framework') . get_the_author_meta('display_name', $author_clean);
    if ($paged > 1)
        $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;
}
if (is_page()) {
    $page_id = get_the_ID();
    $vlc_page_title = get_post_meta($page_id, 'pg_page_description', true);
    if (!empty($vlc_page_title)) {
        $vlc_page_title = get_the_title();
    }
}

// hide page title
$hide_page_title = get_post_meta($page_id, 'pg_hide_title', true);
$hide_page_title = empty($hide_page_title) ? '0' : $hide_page_title;

if ($hide_page_title == '0') {
    get_template_part('section', 'title');
}

// check if user is on mobile device
$detect = new Mobile_Detect();
?>
<!-- .page-content start -->
<section class="page-content <?php if ($hide_page_title == '1') echo 'no-page-title'; ?>">

    <!-- .container start -->
    <div class="container">

        <!-- .row start -->
        <div class="row">

            <?php
            if (have_posts()) {
                // check where should sidebar be placed
                $page_id = get_the_ID();
                $vlc_blog_style = apply_filters('volcanno_blog_style', $volcanno_options['blog_style']);

                $page_sidebar = apply_filters('volcanno_blog_sidebar', $volcanno_options['blog_sidebar_position']);
                if ($vlc_blog_style == 'blog-post-masonry-full' || $vlc_blog_style == 'blog-post-timeline') {
                    $page_sidebar = 'none';
                }

                if ($page_sidebar == 'left'):
                    get_sidebar();
                endif;

                $grid_size = ($vlc_blog_style == 'blog-post-masonry-full' || $vlc_blog_style == 'blog-post-timeline') ? 12 : 9;

                $ul_classes = array('col-md-' . $grid_size, 'blog-posts', 'content-sidebar-' . $page_sidebar, $vlc_blog_style);
                if ($vlc_blog_style == 'blog-post-masonry-full') {
                    $ul_classes[] = 'isotope';
                    $ul_classes[] = 'masonry-full';
                    $ul_id = "blogmasonry";
                } elseif ($vlc_blog_style == 'blog-post-masonry-sidebar') {
                    $ul_classes[] = 'isotope';
                    $ul_classes[] = 'cols';
                    $ul_id = "blogmasonry";
                } elseif ($vlc_blog_style == 'blog-post-small') {
                    $ul_id = "blog-post-small";
                } elseif ($vlc_blog_style == 'blog-post-large') {
                    $ul_id = "blog-post-large";
                }

                // get animation classes
                $animation = $volcanno_options['blog_animation'];
                if ($animation != "disabled") {
                    $ul_classes[] = 'triggerAnimation';
                    $ul_classes[] = 'animated';
                    $ul_classes[] = $animation;
                }
                ?>

                <?php
                if ($vlc_blog_style == 'blog-post-timeline') {
                    ?>
                    <div class="col-md-12">
                        <div class="post-timeline clearfix">
                            <?php
                            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                            $current_month = false;
                            $vlc_post_timeline_position = 'left';

                            while (have_posts()) : the_post();
                                if ($current_month != get_the_time('M Y')) {
                                    $current_month = get_the_time('M Y');
                                    echo "<div class='post-timeline-date'><span>{$current_month}</span></div>";

                                    $vlc_post_timeline_position = 'left';
                                }

                                $format = get_post_format();
                                get_template_part('content', $format);

                                if ($vlc_post_timeline_position == 'left')
                                    $vlc_post_timeline_position = 'right';
                                else
                                    $vlc_post_timeline_position = 'left';
                            endwhile;
                            ?>
                            <?php volcanno_pagination('blog_timeline'); ?>

                        </div>
                    </div><!-- blog posts container end -->
                    <?php
                } else {
                    ?>
                    <!-- blog posts container start -->
                    <ul id="<?php echo sanitize_html_class($ul_id); ?>" class="<?php echo join(' ', $ul_classes) ?>">
                        <?php
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                        while (have_posts()) : the_post();
                            $format = get_post_format();
                            get_template_part('content', $format);
                        endwhile;
                        ?>
                        <?php volcanno_pagination('blog'); ?>
                    </ul><!-- blog posts container end -->
                    <?php
                    if ($page_sidebar == 'right') {
                        get_sidebar();
                    }
                }
            } else {
                ?>
                <div class="col-md-12">
                    <h3><?php esc_html_e('Nothing Found', 'pi_framework') ?></h3>
                    <p><?php esc_html_e('Sorry, but posts were not found.', 'pi_framework') ?></p>          
                </div>
            <?php } ?>
        </div><!-- .row end -->
    </div><!-- .container end -->
</section><!-- .page-content end -->
<?php if (!$detect->isMobile() && is_home()) { ?>
    <script>
        /* <![CDATA[ */
        jQuery(document).ready(function ($) {
            'use strict';

            //ISOTOPE START
            (function () {
                // disable script if there are slider on page 
                // because nivo slider will after load call isotope
                if ($('.blog-slider').length > 0)
                    return;

                // cache container
                var $blogmasonry = $('#blogmasonry');
                // initialize isotope
                $blogmasonry.isotope({
                    masonry: {
                        columnWidth: 1,
                        isResizable: true
                    }
                });
            })(); // ISOTOPE END
        });

        /* ]]> */
    </script>
    <?php
}
get_footer();
?>