(jQuery)(function ($) {

    // HEADER POSITION ADJUSTMENT
    if (VolcannoConfig.staticHeader == '1' && $('body').hasClass('admin-bar')) {
        $('#header-wrapper').css('top', '32px');
    }

    // MAIN NAVIGATION
    $('.nav .dropdown').hover(function () {
        $(this).find('> .dropdown-menu').slideDown(200);

    }, function () {
        $(this).find('> .dropdown-menu').fadeOut(200);
    });

    // RESPONSIVE NAVIGATION
    $(function () {
        $('#dl-menu').dlmenu({
            animationClasses: {
                classin: 'dl-animate-in-2',
                classout: 'dl-animate-out-2'
            }
        });
    });

    // MEGA MENU - EQUAL HEIGHTS  
    $(function () {
        jQuery('#mega-menu-primary > li.mega-menu-megamenu').each(function () {
            $(this).find('> .mega-sub-menu > li.mega-menu-item').matchHeight({});
        });
    });

    // SEARCH ANIMATION
    $('#header').on('click', '#search', function (e) {
        e.preventDefault();

        $(this).find('#m_search').fadeIn().focus();
    });

    $('#m_search').focusout(function (e) {
        $(e.target).fadeOut();
    });

    $(window).resize(function () {
        if (!VolcannoFunctions.isTouchDevice() && VolcannoConfig.staticHeader == '1') {
            // SOLID HEADER  - TRANSPARENT HEADER
            function set_static_header(position) {
                var header_height = $("#header-wrapper").height();
                if (position > header_height) {
                    $("#header-wrapper.header-transparent").addClass("solid-color");
                } else {
                    $("#header-wrapper.header-transparent").removeClass("solid-color");
                }

                // decrease menu height because it covers lot of viewport on smaller screens
                if ((position > header_height)) {
                    var headerHeight = $("#header-wrapper").outerHeight();
                    var mainNavHeight = $(".main-nav").outerHeight();
                    var adminBarHeight = 0;

                    if ($('body').hasClass('admin-bar')) {
                        adminBarHeight = 32;
                    }

                    var topPosition = -(headerHeight - mainNavHeight) + adminBarHeight;

                    $("#header-wrapper").css("top", topPosition);
                } else {
                    var adminBarHeight = 0;

                    if ($('body').hasClass('admin-bar')) {
                        adminBarHeight = 32;
                    }

                    $("#header-wrapper").css("top", adminBarHeight);
                }
            }

            (function () {
                var window_y = $(document).scrollTop();
                if (window_y > 0) {
                    set_static_header(1);
                }
            })();

            $(window).scroll(function () {
                var position = $(this).scrollTop();
                set_static_header(position);
            });

            if ($("#header-wrapper.header-transparent").length == 0) {
                var headerWrapperHeight = $('#header-wrapper').height();
                $('#header-wrapper').next().css('margin-top', headerWrapperHeight);
            }

        }

    });
    // SCROLL TO TOP 
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.scroll-up').fadeIn();
        } else {
            $('.scroll-up').fadeOut();
        }
    });

    $('.scroll-up').click(function () {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false;
    });


    // function to check is user is on touch device
    if (!VolcannoFunctions.isTouchDevice()) {

        // ANIMATED CONTENT
        if ($(".animated")[0]) {
            jQuery('.animated').css('opacity', '0');
        }

        var currentRow = -1;
        var counter = 1;

        if (VolcannoConfig.cmaActive == '1') {
            $('.triggerAnimation').waypoint(function () {
                var $this = $(this);
                var rowIndex = $('.row').index($(this).closest('.row'));
                if (rowIndex !== currentRow) {
                    currentRow = rowIndex;
                    $('.row').eq(rowIndex).find('.triggerAnimation').each(function (i, val) {
                        var element = $(this);
                        setTimeout(function () {
                            var animation = element.attr('data-animate');
                            element.css('opacity', '1');
                            element.addClass("animated " + animation);
                        }, (i * 250));
                    });

                }

                //counter++;

            },
                    {
                        offset: '80%',
                        triggerOnce: true
                    }
            );

            $('.post-timeline-item').waypoint(function () {
                var timeline_animation = $(this).attr('data-animate');
                $(this).css('opacity', '');
                $(this).addClass("animated " + timeline_animation);
            },
                    {
                        offset: '80%',
                        triggerOnce: true
                    }
            );
        }



    }

    // PAGE TITLE HEADINGS CENTERING
    function pi_breadcrumb_width() {
        var breadcrumbWidth = $('.page-title-2 .breadcrumb-container').width();
        $('.page-title-2 .breadcrumb-container').css('margin-left', -(breadcrumbWidth / 2));
    }

    pi_breadcrumb_width();

    $(window).resize(function () {
        var windowHeight = $(window).height();
        var inner_headerHeight = $('#header').height();
        $('.page-title-5').height(windowHeight - inner_headerHeight);

        pi_breadcrumb_width();
    }).resize();

    // Static footer - when there isn't enough text on page
    VolcannoFunctions.setStaticFooter();

    // HERO IMAGE PAGE TITLE 5
    $(window).resize(function () {
        var windowHeight = $(window).height();
        var inner_headerHeight = $('#header').height();
        $('.page-title-5').height(windowHeight - inner_headerHeight);

        // PROCES BOX CIRCLES 
        var processBox_width = $('.process-box-circle').width();
        $('.process-box-circle .icon-container').height(processBox_width - 40).css('width', processBox_width - 40);
        $('.process-box-circle .icon-container i').height(processBox_width - 40).css('width', processBox_width - 40);

    }).resize();
});