jQuery(window).load(function ($) {
    /* ================ VERFIFY IF USER IS ON TOUCH DEVICE ================ */

    if (is_touch_device()) {
        $(".portfolio-img-container").on('click', function (e) {
            $(this).find('.portfolio-hover').show();
        });
    }

    if (is_touch_device()) {
        $(".portfolio-img-container").on('click', function (e) {
            $(this).find('.portfolio-title').show();
        });
    }

    // function to check is user is on touch device
    function is_touch_device() {
        return 'ontouchstart' in window // works on most browsers 
                || 'onmsgesturechange' in window; // works on ie10
    }

    /* ================ PORTFOLIO ISOTOPE FILTER ================ */

    (function ($) {
        //ISOTOPE
        // cache container
        var $portfolioitems = $('#portfolioitems');
        // initialize isotope
        $portfolioitems.isotope({
            filter: '*',
            masonry: {
                columnWidth: 1,
                isResizable: true
            }
        });

        // filter items when filter link is clicked
        $('#filters a').click(function () {
            $('#filters li').removeClass('active');
            var selector = $(this).closest('li').addClass('active').end().attr('data-filter');
            $portfolioitems.isotope({
                filter: selector
            });
            return false;
        });
    })(jQuery);
});

jQuery(document).ready(function ($) {
    'use strict';

    //PORTFOLIO IMAGE LIGHTBOX
    if ((jQuery('body').hasClass('single-pi_portfolio') && VolcannoConfig.portfolioSingleLightboxProject == '1')
            || ((jQuery('body').hasClass('page-template-portfolio-template-php') || jQuery('body').hasClass('page-template-gallery-template-php') || jQuery('body').hasClass('tax-portfolio-category')) && VolcannoConfig.portfolioLightboxCurrent == '1' && VolcannoConfig.portfolioLightboxOptions != 'disabled')
            ) {
        jQuery('.triggerZoom').on('click', function (e) {
            e.preventDefault();
            jQuery(this).closest('.portfolio-img, .gallery-img').find('.gallery').magnificPopup('open');
        });

        jQuery('.gallery').each(function () { // the containers for all your galleries
            jQuery(this).magnificPopup({
                delegate: 'a', // the selector for gallery item
                type: 'image',
                gallery: {
                    enabled: true
                }
            });

        });
    } else {
        jQuery('.triggerZoom').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            }
        });
    }

    $('.triggerZoomVideo').magnificPopup({
        type: 'iframe',
        disableOn: 700,
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: false
    });


    $('.gallery-item.hover-caption figcaption').each(function () {
        var height = $(this).outerHeight();
        $(this).css('bottom', -height);
    });



    $('.gallery-item.hover-caption').hover(
            function () {
                var height = $(this).find('figcaption').outerHeight();
                $(this).find('figcaption').animate({
                    bottom: 0
                }, 200);

                $(this).find('.gallery-img').animate({
                    top: -height
                }, 200);
            }, function () {
        var height = $(this).find('figcaption').outerHeight();
        $(this).find('figcaption').animate({
            bottom: "-" + height
        }, 200);

        $(this).find('.gallery-img').animate({
            top: 0
        }, 200);
    }
    );

});
