<?php
get_header();

global $vlc_page_title, $vlc_post_timeline_position, $post;

$paged = (get_query_var("paged")) ? get_query_var("paged") : 1;

// page title
$vlc_page_title = esc_html__("Search results for ", 'pi_framework') . $_GET["s"];
if ($paged > 1)
    $vlc_page_title .= " - " . esc_html__("page", 'pi_framework') . " " . $paged;


get_template_part('section', 'title');
?>
<!-- .page-content start -->
<section class="page-content">

    <!-- .container start -->
    <div class="container">

        <!-- .row start -->
        <div class="row">

            <?php
            if (have_posts()) {
                // check where should sidebar be placed
                $page_id = get_the_ID();

                $page_sidebar = $volcanno_options['blog_sidebar_position'];

                if ($page_sidebar == 'left'):
                    get_sidebar();
                endif;

                ?>
                <!-- blog posts container start -->
                <ul id="blog-post-large" class="<?php echo 'content-sidebar-' . $page_sidebar, ' col-md-9' ?>">
                    <?php
                    while (have_posts()) : the_post();

                        $post_permalink = get_permalink();
                        ?>
                        <li class="post-body">
                            <a href="<?php echo esc_url($post_permalink) ?>">
                                <h2><?php the_title(); ?></h2>
                            </a>

                            <?php
                            if (!empty($post->post_excerpt)) {
                                $post_content = $post->post_excerpt;
                            } else {
                                $post_content = apply_filters('the_content', $post->post_content);
                            }
                            
                            $post_content = wp_strip_all_tags($post_content, false);                           
                            
                            $post_content =  volcanno_substr($post_content, 300, 3);
                            
                            echo apply_filters('the_content', $post_content);
                            
                            ?>

                        </li>
                        <?php
                    endwhile;
                    ?>
                    <?php volcanno_pagination('blog'); ?>
                </ul><!-- blog posts container end -->
                <?php
                if ($page_sidebar == 'right') {
                    get_sidebar();
                }
            } else {
                ?>
                <div class="col-md-12">
                    <h3><?php esc_html_e('Nothing Found', 'pi_framework') ?></h3>
                    <p><?php esc_html_e('Sorry, but posts were not found.', 'pi_framework') ?></p>          
                </div>
            <?php } ?>
        </div><!-- .row end -->
    </div><!-- .container end -->
</section><!-- .page-content end -->
<?php get_footer(); ?>