<?php
/**
 * The default template for displaying single post
 */
get_header();

global $vlc_blog_style, $vlc_page_title, $vlc_blog_style, $vlc_show_meta;

$vlc_page_title = get_the_title();

// hide page title
$hide_page_title = get_post_meta($page_id, 'pg_hide_title', true);
$hide_page_title = empty($hide_page_title) ? '0' : $hide_page_title;

if ($hide_page_title == '0') {
    get_template_part('section', 'title');
}

// ul classes
$ul_classes = array('blog-posts');

// get animation classes
$animation = $volcanno_options['blog_animation'];
if ($animation != "disabled") {
    $ul_classes[] = 'triggerAnimation';
    $ul_classes[] = 'animated';
    $ul_classes[] = $animation;
}

// blog style
$vlc_blog_style = 'blog-post-large';
$ul_classes[] = 'col-md-9';

// blog meta
$vlc_show_meta = apply_filters('volcanno_blog_single_meta', $volcanno_options['blog_single_meta']);
if ($vlc_show_meta != '1') {
    $ul_classes[] = 'style-alt';
}
?>

<!-- .page-content start -->
<section class="page-content <?php if ($hide_page_title == '1') echo 'no-page-title'; ?>">

    <!-- .container start -->
    <div class="container">

        <!-- .row start -->
        <div class="row">

            <!-- blog posts container start -->
            <ul class="<?php echo join(' ', $ul_classes) ?>">
                <?php
                while (have_posts()) : the_post();
                    get_template_part('content', 'single');
                endwhile;
                ?>
            </ul><!-- blog posts container end -->
            <?php get_sidebar(); ?>
        </div><!-- .row end -->
    </div><!-- .container end -->
</section><!-- .page-content end -->
<?php get_footer(); ?>