<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Image")) {

    class CMA_Shortcodes_Image extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = __('Image', 'pi-cma');
            $settings['description'] = __('Add image to your content.', 'pi-cma');
            $settings['shortcode'] = 'cma_image';
            $settings['nested'] = 0;

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $attachment_data = '';

            extract(shortcode_atts(array(
                'id' => '',
                'size' => 'thumbnail',
                'position' => 'left'
                            ), $atts, 'cma_image'));

            if (!empty($id)) {
                $ids = explode(',', $id);
                $ids = array_filter($ids);
                foreach ($ids as $val) {
                    $image_src = wp_get_attachment_image_src($val, $size);
                    $attachment = cma_get_attachment($val);
                    $title = empty($attachment['caption']) ? $attachment['title'] : $attachment['caption'];
                    $alt = empty($attachment['alt']) ? $attachment['title'] : $attachment['alt'];
                    $attachment_data = "<img src='{$image_src[0]}' class='{$position}' title='{$title}' alt='{$alt}' width='{$image_src[1]}' height='{$image_src[2]}'/>";
                }
            }
            
            $attachment_data .= "<div class='clearfix'></div>";

            return $attachment_data;
        }

        function shortcode_options_fields() {

            $image_sizes['full'] = 'Full Size';

            foreach (get_intermediate_image_sizes() as $value) {
                $image_sizes[$value] = ucfirst($value);
            }

            $this->shortcode_options = array(
                'id' => array(
                    'type' => 'image',
                    'title' => __('Images', 'pi-cma'),
                    'description' => __('Uploaded images.', 'pi-cma')
                ),
                'size' => array(
                    'type' => 'select',
                    'title' => __('Image size', 'pi-cma'),
                    'description' => __('Select sizes for images you selected.', 'pi-cma'),
                    'options' => $image_sizes
                ),
                'position' => array(
                    'type' => 'select',
                    'title' => __('Position', 'pi_framework'),
                    'description' => __('Select position of image.', 'pi_framework'),
                    'options' => array(
                        'left' => __('Left', 'pi_framework'),
                        'center' => __('Center', 'pi_framework'),
                        'right' => __('Right', 'pi_framework'),
                    ),
                    'default' => 'left'
                ),
            );
        }

    }

}
?>
