<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists("CMA_Shortcodes_Rows")) {

    class CMA_Shortcodes_Rows extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = __('Rows', 'pi-cma');
            $settings['description'] = __('Grid elements for content.', 'pi-cma');
            $settings['shortcode'] = 'cma_row';
            $settings['nested'] = 0;
            $settings['hide_in_ui'] = 1;

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $post;
            $html = '';

            extract(shortcode_atts(array(
                'class' => '',
                'margin_top' => '',
                'margin_bottom' => ''
                            ), $atts, 'cma_row'));

            // custom row classes
            $classes = array('row');
            
            if (!empty($class)){
                
                // sanitize classes
                $html_classes = apply_filters('cma_sanitize_user_defined_classes', $class);
                
                // merge with existing classes
                $classes = array_merge($classes, $html_classes);
            }                

            // additional top and bottom margins
            $css = "style='";
            if ($margin_bottom != "" && is_numeric($margin_bottom))
                $css .= "margin-bottom: {$margin_bottom}px;";

            if ($margin_top != "" && is_numeric($margin_top))
                $css .= "margin-top: {$margin_top}px;";

            $css .= "'";

            $html .= "<div class='" . join(' ', $classes) . "' {$css}>" . do_shortcode($content) . "</div>";

            return $html;
        }

    }

}
?>
