<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists("CMA_Shortcodes_Wysiwyg")) {

    class CMA_Shortcodes_Wysiwyg extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = __('Text/HTML Editor', 'pi-cma');
            $settings['description'] = __('Wordpress editor.', 'pi-cma');
            $settings['shortcode'] = 'cma_wysiwyg';
            $settings['nested'] = false;
            $settings['selected_option'] = 'editor'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {

            extract(shortcode_atts(array(
                'editor' => ''
                            ), $atts, 'cma_wysiwyg'));
            
            $decoded = wp_specialchars_decode($editor, ENT_QUOTES);
            // render shortcodes if any
            $content = "<div class='cma-wysiwyg-editor'>" . do_shortcode($decoded) . "</div>";

            return $content;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'editor' => array(
                    'type' => 'editor',
                    'title' => 'Editor',
                    'description' => 'WordPress editor.'
                )
            );
        }

    }

}
?>
