<?php

/*
 * Include all shortcode classes
 */

class CMA_Shortcodes_Init {

    public $shortcode_objects;

    public function __construct() {
        $this->init();
    }

    /**
     * Initialize shortcode class.
     * 
     */
    public function init() {
        require( PICMA_DIR . 'core/shortcodes.class.php' );
        $this->load_shortcode_files();
        $this->init_shortcode_object();
    }

    /**
     * Load shortcode files from directory inside plugin. Additional directory 
     * can be added using 'cma_shortcodes_directory' hook
     * 
     */
    protected function load_shortcode_files() {
        $shortcodes_dir = apply_filters('cma_shortcodes_directory', array(PICMA_DIR . "content/"));

        // reverse values in array so that user can override values 
        // by using the filter
        $shortcodes_dir = array_reverse($shortcodes_dir);

        foreach ($shortcodes_dir as $dir) {
            $dir_files = glob($dir . '*.php');
            $dir_in_directory = glob($dir . '*/*.php');

            if (is_array($dir_files) && count($dir_files) > 0) {
                foreach ($dir_files as $file) {
                    require_once( $file );
                }
            }

            if (is_array($dir_in_directory) && count($dir_in_directory) > 0) {
                foreach ($dir_in_directory as $file) {
                    require_once( $file );
                }
            }
        }
    }

    /**
     * Initialize shortcode objects for classes loaded in 
     * 'load_shortcode_files' method
     * 
     */
    public function init_shortcode_object() {
        global $cma_registered_shortcodes;
        foreach (get_declared_classes() as $class) {
            if (is_subclass_of($class, 'Content_Maker_Shortcodes') && $class != 'Content_Manager_Shortcodes') {
                $this->shortcode_objects[$class] = new $class($this);
                $this->shortcode_objects[$class]->init_shortcode();
            }
        }
    }

}

?>
