<?php

/*
 * TWEETSCROLL WIDGET
 * 
 * Filter TweetScroll options to make it
 * compatible with Content Maker
 * 
 * @param $widget_options
 * @param $instance_id
 * 
 * return array
 * 
 */

function cma_filter_tweetscroll_options($widget_options, $instance_id, $post_id) {
    // if it's not empty, widget is in sidebar
    if (!empty($widget_options))
        return $widget_options;

    $post = get_post($post_id);

    // get post meta
    $post_meta = get_post_meta($post->ID, 'cma_layout_data');

    // decode to array
    $post_meta = json_decode($post_meta[0], true);

    // get widget position by id
    $wpos = cma_shortcode_by_id($post_meta, $instance_id);

    if (count($wpos) == 3) {
        $widget_options = $post_meta['rows'][$wpos[0]]['grids'][$wpos[1]]['elements'][$wpos[2]]['options'];
    }

    return $widget_options;
}

add_filter('tweetscroll_widget_options', 'cma_filter_tweetscroll_options', 10, 3);

/*
 * SHORTCODES ULTIMATE
 * 
 * Shortcodes Ultimate compatibility stylesheet.
 * 
 */

function cma_su_compatibility_styles() {
   wp_enqueue_style('cma-su-compatibility', PICMA_DIR_URL . 'assets/compatibility/shortcodes-ultimate.css', array('su-generator'), PICMA_VERSION);
}

add_action( 'su/assets/register', 'cma_su_compatibility_styles' );


?>