<?php

$cma_active = cma_page_has_active_cma();

$layouts = apply_filters('cma_prebuilt_layouts', array());
?>

<div id="cma-elements">

    <div id="cma-elements-container">
    </div>

    <div id="cma-main-controls">
        <button class="add-element hint--top hint--rounded cma-ui-button ui-button-text-only" data-hint="<?php esc_attr_e('Add Content Element or Widget', 'pi-cma') ?>">
            <span class="ui-button-text">
                <i class="fa fa-plus"></i>
                <span><?php _e('Add Content', 'pi-cma') ?></span>
            </span>
        </button>
        <?php if (!empty($layouts)) : ?>
            <button class="insert-prebuilt hint--top hint--rounded cma-ui-button ui-button-text-only" data-hint="<?php esc_attr_e('Use one of Prebuilt Layouts', 'pi-cma') ?>">
                <span class="ui-button-text">
                    <i class="fa fa-pencil"></i>
                    <span><?php _e('Prebuilt Layouts', 'pi-cma') ?></span>
                </span>
            </button>
        <?php endif; ?>
        <div id="grid-buttons">
            <button class="grids-add-button hint--top hint--rounded cma-ui-button ui-button-icon-only" data-value="1" data-hint="<?php esc_attr_e('100%', 'pi-cma') ?>">
                <span class="ui-button-icon-primary cma-ui-icon ui-icon-columns-1"></span>
                <span class="ui-button-text"><?php _e('Full Column', 'pi-cma') ?></span>                
            </button>
            <button class="grids-add-button hint--top hint--rounded cma-ui-button ui-button-icon-only" data-value="2" data-hint="<?php esc_attr_e('50%', 'pi-cma') ?>">
                <span class="ui-button-icon-primary cma-ui-icon ui-icon-columns-2"></span>
                <span class="ui-button-text"><?php _e('1/2', 'pi-cma') ?></span>                
            </button>
            <button class="grids-add-button hint--top hint--rounded cma-ui-button ui-button-icon-only" data-value="3" data-hint="<?php esc_attr_e('33%', 'pi-cma') ?>">
                <span class="ui-button-icon-primary cma-ui-icon ui-icon-columns-3"></span>
                <span class="ui-button-text"><?php _e('1/3', 'pi-cma') ?></span>                
            </button>
            <button class="grids-add-button hint--top hint--rounded cma-ui-button ui-button-icon-only" data-value="4" data-hint="<?php esc_attr_e('25%', 'pi-cma') ?>">
                <span class="ui-button-icon-primary cma-ui-icon ui-icon-columns-4"></span>
                <span class="ui-button-text"><?php _e('1/4', 'pi-cma') ?></span>                
            </button>
            <button class="grids-add-button section-button hint--top hint--rounded cma-ui-button ui-icon-columns-0 ui-button-icon-only" data-value="0" data-hint="<?php esc_attr_e('Click to activate Section mode.', 'pi-cma') ?>">
                <span class="ui-button-icon-primary cma-ui-icon ui-icon-columns-0"></span>
                <span class="ui-button-text"><?php _e('Section', 'pi-cma') ?></span>                
            </button>
        </div>
        <button class="page-options hint--top hint--rounded cma-ui-button ui-button-text-only" data-hint="<?php esc_attr_e('Page Options', 'pi-cma') ?>">
            <span class="ui-button-text">
                <i class="fa fa-wrench"></i>
                <span><?php _e('Options', 'pi-cma') ?></span>
            </span>
        </button>
        <div class="clear"></div>
    </div>
    <input type="hidden" id="cma-active" name="cma_active" value="<?php echo $cma_active ?>"/>
    <?php wp_nonce_field('save_ajax', '_cma_nonce') ?>
</div>
