<?php

/*
 * PAGE OPTIONS - ADD BODY CLASSES
 * 
 * Filter that fetches Content Maker page options
 * and adds custom classes to body if available
 */

function cma_body_classes($classes) {

    $page_id = cma_get_current_page_id();
    
    if(empty($page_id)) return $classes;

    $layout = get_post_meta($page_id, 'cma_layout_data', true);

    if (!empty($layout)) {
        // decode JSON
        $layout = json_decode($layout, true);

        // check if options object is available
        if (isset($layout['options']) && !empty($layout['options']) && !empty($layout['options']['body_classes'])) {
            // split classes by comma
            $classes_list = explode(',', $layout['options']['body_classes']);

            // merge arrays with old and new classes
            $classes = array_merge($classes, $classes_list);
        }
    }

    return $classes;
}

add_filter('body_class', 'cma_body_classes');
?>