<?php

function cma_settings_fields($sections) {
    //$sections = array();
    $sections[] = array(
        'title' => __('Content Maker', 'pi-cma'),
        'desc' => __('Settings for Content Maker plugin.', 'pi-cma'),
        'icon' => 'el-icon-paper-clip',
        // Leave this as a blank section, no options just some intro text set above.
        'fields' => array(
            array(
                'id' => 'cma_post_types',
                'type' => 'select',
                'title' => __('Post Types', 'pi-cma'),
                'subtitle' => __('Show Content Maker in selected post types.', 'pi-cma'),
                'options' => array('post' => 'Posts', 'page' => 'Pages', 'pi_portfolio' => 'Portfolio'),
                'multi' => true,
                'default' => array('page')
            ),
            array(
                'id' => 'cma_elements_animations',
                'type' => 'checkbox',
                'title' => __('Animations', 'pi-cma'),
                'subtitle' => __('Enable elements animations (overrides values on all sections).', 'pi-cma'),
                'default' => '1'// 1 = on | 0 = off
            ),
            array(
                'id' => 'cma_elements_animation_offset',
                'type' => 'text',
                'title' => __('Animation offset', 'pi-cma'),
                'subtitle' => __('How close viewer should be before element appear (percentage).', 'pi-cma'),
                'default' => '80',
                'validate' => 'comma_numeric'
            ),
            array(
                'id' => 'cma_parallax',
                'type' => 'checkbox',
                'title' => __('Parallax', 'pi-cma'),
                'subtitle' => __('Enable parallax effect on section background (overrides values on all sections).', 'pi-cma'),
                'default' => '1'// 1 = on | 0 = off
            ),
            array(
                'id' => 'cma_parallax_background_ratio',
                'type' => 'text',
                'title' => __('Parallax Background Ratio', 'pi-cma'),
                'subtitle' => __('Set Parallx background ratio.', 'pi-cma'),
                'default' => '0.4',
                'validate' => 'comma_numeric'
            ),
            array(
                'id' => 'cma_prebuilt_post_types',
                'type' => 'select',
                'title' => __('Prebuilt Layouts', 'pi-cma'),
                'subtitle' => __('Select which post types will be available in Prebuilt layouts window.', 'pi-cma'),
                'options' => array('post' => 'Posts', 'page' => 'Pages', 'pi_portfolio' => 'Portfolio'),
                'multi' => true,
                'default' => array('page')
            ),
        )
    );

    return $sections;
}

?>
