<script id="cma-tpl-main-dialog" type="text/html">
    <div id="elements-dialog" data-title="{{ data.translations.addNew }}" class="cma-admin-dialog">
        <div id="elements-dialog-inner">
            <div class="elements-filters">
                <div class="elements-text-filter">
                    <label for="elements-text-filter-input">{{ data.translations.filterTitle }}</label>
                    <input type="search" class="widefat" placeholder="{{ data.translations.filterByName }}" id="elements-text-filter-input" />
                </div>
                <div class="elements-content-filter">
                    <a class="elements-filter-all" data-type="all">{{ data.translations.filterAll }}</a>
                    <a class="elements-filter-widgets" data-type="widget">{{ data.translations.filterWidgets }}</a>
                    <a class="elements-filter-shorcodes" data-type="shortcode">{{ data.translations.filterShortcodes }}</a>
                </div>
            </div>
            <ul class="available-elements">
                <# _.each(data.elements, function(value, key, list){ 
                if(list[key].hide_in_ui == 1) {
                return;
                }
                #>
                <li class="element"
                    data-name="{{ list[key].name }}"
                    data-title="{{ list[key].title }}"
                    data-type="{{ list[key].type }}"
                    >
                    <div class="element-wrapper">
                        <div class="icon"><i class="fa fa-star-o"></i></div>
                        <h3>{{{ list[key].title }}}</h3>
                        <# if(typeof(list[key].description) != "undefined" && list[key].description){ #>
                        <small class="description">{{{ list[key].description }}}</small>
                        <# } #>
                    </div>                    
                </li>
                <# }) #>
                <div class="clear"></div>
            </ul>
        </div>

    </div>
</script>

<script id="cma-tpl-prebuilt-layouts" type="text/html">
    <div id="cma-prebuilt-dialog" class="cma-admin-dialog">
        <p><label><strong>{{ data.translations.pageLayout }}</strong></label></p>
        <p>
            <select id="cma-prebuilt-input" name="prebuilt_layout" placeholder="{{ data.translations.selectLayout }}" size="7">
                <# _.each(data.layouts, function(value, key, list){ #>
                <# if(key == "pi_portfolio"){
                var postType = "Portfolio";
                }else if(key == "page"){
                var postType = "Pages";
                }else if(key == "post"){
                var postType = "Posts";
                } #>
                <optgroup label="{{ postType }}">
                    <# _.each(data.layouts[key], function(opt_value, opt_key, opt_list){ #>
                    <option id="cma-prebuilt-{{ key }}" data-type="{{ key }}" data-id="{{{ opt_key }}}" class="prebuilt-layout">
                        <# if(opt_value){ #>
                        {{ opt_list[opt_key].name }}
                        <# }else{ #>
                        {{ data.translations.untitledLayout }}
                        <# } #>                       
                    </option>
                    <# }) #>
                </optgroup>
                <# }) #>
            </select><br/>
            <small>All available layouts. Enable for all post types in Theme Options / Content Maker.</small>
        </p>
        <p>
            <label><strong>{{ data.translations.rowIndex }}</strong></label>
        </p>
        <p>
            <input type="text" class="cma-prebuilt-row-index" placeholder="e.g. 4" min="1"/>
            <br/>
            <small>Enter index of row you want to insert. Other rows will be ignored.</small>
        </p>

    </div>
</script>

<script id="cma-tpl-row" type="text/html">
    <div class="row-container">        
        <div class="row">
            <# _.each(data.grids, function(element, index, list){ #>
            <div class="grid {{ element.position }}" data-size="{{ element.size }}">
                <div class="grid-options"><i class="fa fa-gear"></i></div>
                <div class="grid-wrapper elements-container"></div>
                <div class="grid-width">
                    <div class="grid-width-value">
                        <span>{{ element.percentage }}% ({{ element.size }})</span>
                    </div>
                </div>                
            </div>
            <# }) #>
        </div>
        <div class="row-overlay"></div>
        <div class="section-options">
            <div class="section-options-button hint--top hint--rounded" data-hint="{{ data.translations.sectionOptions }}">
                <i class="fa fa-gear"></i>
            </div>
            <div class="new-section-button hint--top hint--rounded" data-hint="{{ data.translations.sectionStartHint }}">
                <a class="">{{ data.translations.sectionStart }}</a>
            </div>
        </div>
        <div class="controls-container">
            <div class="controls">
                <div class="cma-ui-button ui-button-icon-only row-handle hint--left hint--rounded" data-hint="{{ data.translations.move }}">
                    <div class="cma-ui-icon"><i class="fa fa-arrows-alt"></i></div>                    
                </div>   
                <div class="cma-ui-button ui-button-icon-only cma-row-options hint--left hint--rounded" data-hint="{{ data.translations.options }}">
                    <div class="cma-ui-icon"><i class="fa fa-gear"></i></div>                    
                </div>
                <div class="cma-ui-button ui-button-icon-only cma-remove-row hint--left hint--rounded" data-hint="{{ data.translations.delete }}">
                    <div class="cma-ui-icon"><i class="fa fa-trash-o"></i></div>                    
                </div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
</script>

<script id="cma-tpl-element" type="text/html">
    <div class="element new-element" data-name="{{ data.name }}" data-type="{{ data.type }}" data-id="{{ data.id }}">
        <div class="element-wrapper">
            <div class="title">
                <div class="icon"><i class="fa fa-star-o"></i></div>
                <h4>{{ data.title }}</h4>
                <# if(typeof(data.selected_option) != 'undefined' && data.selected_option){ #>
                    <span>|</span><span class="selected-option"> {{ data.selected_option }}</span>
                <# } #>
            </div>
            <span class="actions">
                <button class="edit hint--top hint--rounded" data-hint="{{ data.translations.edit }}"><i class="fa fa-wrench"></i></button>
                <button class="duplicate hint--top hint--rounded" data-hint="{{ data.translations.duplicate }}"><i class="fa fa-copy"></i></button>
                <button class="delete hint--top hint--rounded" data-hint="{{ data.translations.delete }}"><i class="fa fa-trash-o"></i></button>
            </span>
            <small class="description">{{{ data.description }}}</small>
        </div>
    </div>
</script>