<?php

/**
 * Add actions that will register scripts and add WYSIWYG Editor to footer
 */
function cma_register_wysiwyg_editor_scripts() {
    global $pagenow;
    $screen = get_current_screen();

    if (in_array($pagenow, array('post-new.php', 'post.php', 'admin-ajax.php')) && in_array($screen->id, cma_get_settings('post-types'))) {
        add_action('admin_print_footer_scripts', 'cma_tinymce_footer_scripts');
        add_filter('tiny_mce_before_init', 'cma_tinymce_init_editor', 20);
        
    }
    
}

add_action('admin_enqueue_scripts', 'cma_register_wysiwyg_editor_scripts', 15);

/* TinyMCE setup customization */

function cma_tinymce_init_editor($initArray) {
    // Do not remove linebreaks
    $initArray['remove_linebreaks'] = false;
    // Convert newline characters to BR tags
    $initArray['convert_newlines_to_brs'] = true;
    // Force P newlines
    $initArray['force_p_newlines'] = false;
    // Force P newlines
    $initArray['force_br_newlines'] = true;
    // Do not remove redundant BR tags
    $initArray['remove_redundant_brs'] = false;
    // Force p block
    $initArray['forced_root_block'] = 'p';
    // Apply source formatting
    $initArray['apply_source_formatting '] = true;
    // Return modified settings
    
    return $initArray;
}

function cma_tinymce_footer_scripts() {
    wp_editor('', 'cma-tinymce-editor');
}

?>